SAS.Планета - 250505 (Released 05-05-25)
========================================
- 0003902: [Хотелка] Поддержка альтернативного формата wikimapia (zed)
- 0003912: [Рефакторинг] В проверку обновлений ночных версий добавить GitHub (zed)
- 0003911: [Баг] x64: При сохранении тайлов в формат WEBP они сохраняются в формате JPEG XR (zed)
[3 issues]

SAS.Планета - 250404 (Released 04-04-25)
=======================================
- 0003906: [Хотелка] Построение профиля высоты по всей длине (zed)
- 0003165: [Хотелка] Фильтрация меток по имени в окне Управления метками (zed)
- 0002816: [Хотелка] В окне "Управление метками" добавить возможность выбора отображения путей и меток (zed)
- 0003905: [Рефакторинг] Расширить возможности шаблонов формирования Url (zed)
- 0003904: [Хотелка] Добавить в SASTerrain.Default.ini данные для SRTM1 (zed)
- 0001638: [Хотелка] Поддержка векторного слоя на основе JSON, как WikiMapia (zed)
- 0003625: [Хотелка] Поддержка векторных слоев в формате GeoJson (zed)
- 0003901: [Хотелка] Изменить цвета заливки "Существующих с градиентом" (zed)
- 0003882: [Хотелка] Добавить поддержку формата tiff для хранения тайлов (zed)
- 0003900: [Рефакторинг] Снова не работает поиск в Росреестре по кадастровому номеру (zed)
- 0001960: [Хотелка] Импорт меток в формате GeoJSON (zed)
- 0003898: [Баг] Движение карты по инерции останавливается при нажатии ЛКМ (zed)
- 0003897: [Хотелка] Добавить поддержку WEBP формата при экспорте в MBTiles (SQLite3) (zed)
- 0003896: [Хотелка] Добавить поддержку тайловых TIFF с высотами (DEM) (zed)
- 0003581: [Хотелка] Сборка 64-х битной версии SAS (zed)
[15 issues]

SAS.Планета - 241111 (Released 11-11-24)
=======================================
- 0003893: [Баг] Unable to enter the radius for the Circle Calculation (zed)
- 0002915: [Хотелка] Отображение площади при создании полигона (zed)
- 0003561: [Хотелка] Скорость в узлах, расстояние в морских милях (zed)
- 0000755: [Хотелка] Хинт с информацией о треке при наведении на него мышки (zed)
- 0003892: [Хотелка] Хинт с информацией о площади полигона при наведении на него мышки (zed)
- 0003891: [Рефакторинг] Упорядочить использование ShowMessage, MessageDlg и MessageBox (zed)
- 0002512: [Хотелка] В операции с выделенной областью добавить экспорт меток (zed)
- 0002606: [Баг] Рывки при движении карты мышкой в момент её отпускания (zed)
- 0002481: [Хотелка] Различать экспорт меток в файл и в папку (zed)
- 0001735: [Хотелка] Смена направления трека (zed)
- 0003890: [Хотелка] При редактировании пути (трека) добавить возможность автоматически прописать высоты всем точкам (zed)
- 0001730: [Хотелка] Объединение треков (zed)
- 0003596: [Баг] GPS connexion not possible with u-blox device combining NMEA and proprietary UBX binary protocol (zed)
- 0003641: [Баг] Мерцание тултипа в слоях (zed)
- 0003630: [Баг] Исчезающая всплывающая подсказка метки (zed)
- 0003888: [Хотелка] Перезапись в Избранное при задании имени, которое уже там есть (zed)
- 0003884: [Баг] После редактирования путей/полигонов могут оставаться артефакты (zed)
- 0002184: [Баг] Всё слиплось в меню Склейка (zed)
- 0003120: [Хотелка] Ускорить экспорт выделенной области в форматы на основе SQLite3 (RMaps, OruxMaps, MBTiles, OsmAnd) (zed)
- 0003327: [Хотелка] Возможность изменять уровень сжатия тайлов при экспорте в img (zed)
- 0000061: [Хотелка] Сделать запоминаемыми некоторые параметры диалогов "Операции с выделенной областью" (zed)
- 0003138: [Хотелка] Коррекция изображения во вкладку "Операции с выделенной областью-Скопировать" (zed)
- 0003881: [Хотелка] Добавить опцию накладывания меток/сеток и применения цветокоррекции при копировании тайлов с модификацией (zed)
- 0003245: [Хотелка] Сохранять последние значения полей в диалоге "Управление кешем" (zed)
- 0001520: [Хотелка] Запоминать выбор типа файла при экспорте меток (zed)
- 0003074: [Баг] Запоминать тип кэша при операции копирования (zed)
- 0002762: [Хотелка] Нельзя задать размер тайлов, на которые режется изображение, при операции Склеить KMZ Garmin (zed)
- 0002607: [Баг] Интерфейс, "Настройки"-"GPS" (zed)
- 0003883: [Хотелка] Использовать актуальные dll при запуске на Windows 7 и выше (zed)
- 0002784: [Баг] Копирование тайлов + изменение формата - использовать фон из настроек (zed)
- 0003880: [Рефакторинг] Сделать фрейм для выбора формата изображения (zed)
- 0000339: [Хотелка] Применять настройки цвета при экспорте в KML (zed)
 - 0002336: [Хотелка] Экспорт выделенной области в kmz (или в папку + kml) (zed)
- 0003879: [Хотелка] Добавить настройку уровня сжатия при склейке в PNG (zed)
- 0003878: [Хотелка] Добавить настройку цветового пространства при склейке в GeoTiff с Jpeg сжатием (zed)
- 0003877: [Хотелка] Сделать прямое копирование jpeg тайлов при склейке в тайловый GeoTiff (zed)
- 0003875: [Хотелка] Добавить склейку в тайловый GeoTiff (zed)
- 0003876: [Баг] Глючит даблклик по чекбоксу при выборе зума (zed)
- 0003873: [Хотелка] Добавить хоткей для вставки GUID в Pascal Script IDE (zed)
[39 issues]

SAS.Планета - 230909 (Released 09-09-23)
========================================
- 0003871: [Хотелка] Система координат ГСК-2011 (zed)
- 0002576: [Хотелка] Add support for MGRS coordinates (zed)
- 0002984: [Баг] Добавить хидеры в GPX для корректного открытия в BaseCamp (zed)
- 0003816: [Рефакторинг] Добавить индексы в ORM БД меток (zed)
- 0003856: [Хотелка] Добавить отображение и ввод UTM координат (zed)
- 0003857: [Хотелка] Добавить опцию отключения очистки RAM кэша по TTL (zed)
- 0003858: [Баг] Ссылки для открытия во внешнем браузере приводятся к нижнему регистру (zed)
- 0003859: [Хотелка] Добавить отображение расстояний в Милях, Футах, Ярдах (zed)
- 0003860: [Хотелка] Добавить отображение площадей в акрах, кв. милях/футах/ярдах (zed)
- 0003861: [Рефакторинг] У меркатора на сфере официальный EPSG = 3857 (а 3785 помечен устаревшим) (zed)
- 0003867: [Баг] Не работает поиск через OSM (zed)
- 0003869: [Баг] Неправильные права при открытии sqlite базы (zed)
- 0003449: [Баг] Garmin Mapsource не открывает *.GPX файл созданный САС.Планет (zed)
- 0002974: [Хотелка] Добавить редактирование геометрии меток из диалога "Управление метками" (zed)
- 0003741: [Хотелка] Placemark manager - adding the option "select all unmarked" to the context menu (zed)
- 0003659: [Хотелка] Сделать возможность экспорта треков в *.GPX как track (zed)
- 0003855: [Хотелка] Навигация по профилю рельефа при клике по треку (с зажатым Ctrl) (zed)
- 0003852: [Хотелка] Интерполировать высоту при выводе из источников вроде SRTM (zed)
- 0003849: [Баг] Категория без галочки в метках Marks.db3 (zed)
- 0003839: [Хотелка] Настройка для скрытия заголовка и границ главного окна (zed)
- 0003843: [Хотелка] Указывать текущий формат представления координат (zed)
- 0003653: [Баг] При загрузке через WinInet не распознаётся случай обрыва загрузки (zed)
[22 issues]

SAS.Планета - 220707 (Released 07-07-22)
=======================================
- 0003660: [Хотелка] Добавить формат представления координат без символа градусов (zed)
- 0003803: [Рефакторинг] Удалить устаревшие и не поддерживаемые функции/возможности/экспорты (zed)
- 0003800: [Баг] Не очищается кэш битмапов при отсутствии тайла в кэше на диске (zed)
- 0003438: [Рефакторинг] Отказ от поддержки старых версий Delphi (zed)
- 0003429: [Хотелка] Добавить обработку тега styleUrl при импорте kml (zed)
- 0000033: [Хотелка] Загрузка меток через командную строку (zed)
 - 0002518: [Хотелка] При запуске второго экзепляра САС с парметрами передавать их уже запущенному (zed)
- 0003824: [Хотелка] Отображение профиля рельефа для треков без данных о высоте (zed)
- 0003826: [Баг] При экспорте в IMG при обращении к битому файлу выдаёт ошибку и экспорт прерывается (zed)
- 0003819: [Баг] Не работает клавиша Backspace (zed)
- 0002377: [Хотелка] Профиль высот трека и его статистика (zed)
- 0003812: [Хотелка] Добавить поддержку высоты точек трека при импорте/экспорте из kml (zed)
 - 0003814: [Рефакторинг] Добавить поддержку метаданных геометрии в ORM БД меток (zed)
 - 0003813: [Рефакторинг] Добавить поддержку метаданных геометрии в SML БД меток (zed)
- 0002503: [Хотелка] Сохранение высоты и времени меток при импорте GPX трека (zed)
 - 0003810: [Рефакторинг] Добавить поддержку gpx метаинформации в IDoublePoint и IDoublePointAggregator (zed)
 - 0003811: [Рефакторинг] Добавить поддержку gpx метаинформации в IEnumDoublePoint (zed)
 - 0003814: [Рефакторинг] Добавить поддержку метаданных геометрии в ORM БД меток (zed)
 - 0003813: [Рефакторинг] Добавить поддержку метаданных геометрии в SML БД меток (zed)
- 0003807: [Баг] Прокладка маршрута через osmscout в некоторых случаях выдаёт исключение (zed)
- 0003808: [Баг] Исключение osmscout (0003807) ломает процесс автопрокладки маршрута (zed)
[19 issues]

SAS.Планета - 211230 (Released 30-12-21)
========================================
- 0003805: [Хотелка] Сброс настроек Гаммы и Контрастности правым кликом мыши (zed)
- 0003801: [Хотелка] Переделать алгоритм вычисления количества тайлов попадающих в полигон (vdemidov)
- 0003804: [Хотелка] Добавить возможность изменять шрифт имён меток (zed)
- 0001676: [Хотелка] Попиксельная склейка растров при полигональном выделении (zed)
- 0003781: [Баг] При выборе проекции "Geographic Lat/Lon" вылазит "Invalid Floatig Point Operation" (zed)
- 0003779: [Баг] При импорте из KML масштаб шрифта метки считается относительно НЕ дефолтного шрифта (zed)
- 0003776: [Рефакторинг] Форматирование шапки с лицензией в сорцах (zed)
- 0003773: [Хотелка] Добавить в настройки возможность ввесит API ключ для геокодеров Яндекс и Google (zed)
- 0003714: [Хотелка] Построение маршрута в оффлайне при помощи osmscout (zed)
- 0003754: [Хотелка] Добавить альтернативные источники обновлений программы (zed)
- 0003745: [Баг] Не прокладывает маршрут средствами yournavigation.org (zed)
- 0003756: [Хотелка] PascalScript: Добавить итерфейс для работы с тайлохранилищем (чтение, запись, инф. о тайле) (zed)
- 0003757: [Хотелка] PascalScript: Добавить возможность записи в лог (для отладки) (zed)
- 0003755: [Баг] Неверный подсчет площади (zed)
- 0003753: [Баг] Не работает "скачивание" локального файла из скрипта (zed)
- 0003746: [Баг] Невозможно экспортировать JNX растровую карту для Garmin (zed)
- 0002750: [Баг] Добавить обработку ошибок загрузки тайлов в экспорт в JNX (zed)
- 0003734: [Баг] Плейсхолдер {bbox} работает неправильно для географической проекции (zed)
- 0003733: [Баг] Плейсхолдер {q} работает неправильно (zed)
[19 issues]

SAS.Планета - 201212 (Released 12-12-2020)
=======================================
- 0003717: [Рефакторинг] Экспорт в Locus и RMaps: проверять, что верно заданы все параметры перед началом экспорта (zed)
- 0003712: [Баг] Не отображается отметка рельефа (zed)
- 0003711: [Рефакторинг] При выводе географических координат всегда использовать точку в качестве разделителя (zed)
- 0003708: [Хотелка] Добавить прокладку маршрута средствами OSRM (zed)
- 0003707: [Хотелка] Добавить функцию "Отменить прокладку маршрута" (zed)
- 0003706: [Хотелка] Добавить функцию "Продолжить маршрут" (zed)
- 0003687: [Хотелка] Авто перенос строк в поиске (zed)
- 0003688: [Хотелка] Закрытие окна "Управление метками" по ESC (zed)
- 0003666: [Баг] Ошибка "Access violation..." при выборе кэш ОЗУ и возврате обратно (zed)
[9 issues]

SAS.Планета - 200606 (Released 06-06-20)
========================================
- 0003610: [Хотелка] PascalScript: Добавить функцию получения Url из шаблона (zed)
- 0003677: [Хотелка] Добавить отображение высот по данным ALOS AW3D30 версии 3.1 (zed)
- 0003669: [Хотелка] В функцию создания url из шаблона, добавить плейсхолдер {sas_path} (zed)
- 0003676: [Баг] Неверное копирование ссылки на Росреестр в масштабе свыше z19 (zed)
- 0003612: [Хотелка] Сделать, чтобы по умолчанию карты были отсортированы по названию (zed)
- 0003639: [Баг] Горячие клавиши срабатывают для неактивных карт/слоёв (zed)
- 0003642: [Хотелка] Добавить в функцию получения URL из шаблона замену " " на "%20" (zed)
- 0003643: [Баг] При сортировке карт по алфавиту, вложенные подменю идут вперемешку с картами (zed)
- 0003646: [Рефакторинг] Переименовать опцию "Пытаться повторно загрузить тайл при его отсутствии" (zed)
- 0003624: [Баг] Баг при зуме живых векторных слоёв, приводящий к росту потребления трафика и нагрузке на сервер, либо дублированию точек (zed)
- 0003607: [Хотелка] Возможность ручного ограничения длины текста всплывающего окна метки (dimasic)
- 0003623: [Баг] Не сохраняется настройка "Базовый путь кэша" (zed)
- 0003626: [Баг] При экспорте в Orux maps большого куска карты падает с Can't allocate the DIB handle (zed)
- 0003635: [Хотелка] Сменить дефолтный сетевой движок с WinInet на cURL (zed)
- 0003636: [Баг] Неверное формирование ссылки "Копировать в буфер обмена" --> "Ссылку для просмотра в Rosreestr" (zed)
- 0003604: [Баг] При экспорте меток в создаваемом *.kmz дублируются изображения меток (zed)
- 0003608: [Баг] Неверное отображение описаний меток во всплывающем окне (dimasic)
[17 issues]

SAS.Планета - 191221 (Выпущена 21-12-19)
========================================
- 0003577: [Хотелка] Добавить экспорт в формат OsmAnd SQLite (zed)
- 0003597: [Рефакторинг] Переход на актуальную версию Graphics32 (vdemidov)
- 0003466: [Баг] Закрытие программы происходит с ошибкой: FastMM has detected a GetMem call after FastMM was uninstalled (zed)
- 0003450: [Баг] Утечка памяти в TB2Toolbar (zed)
- 0003595: [Баг] Ошибка компиляции в Delphi XE2 (zed)
- 0003587: [Хотелка] В Настройки добавить выбор типа прокси сервера (zed)
- 0003422: [Хотелка] Добавить альтернативную реализацию IDownloader и IDownloaderAsync на основе libcurl (zed)
 - 0003562: [Баг] Не работает поиск по кадастровому номеру росреестра (zed)
- 0003586: [Хотелка] Добавить подсказку в меню выбора Источников информации о высоте (zed)
- 0002059: [Хотелка] при импорте путей и треков из GPX цвет брать из свойств самого объекта (zed)
- 0003571: [Баг] Исправить выпадающий список "Формат представления координат" (zed)
- 0003568: [Хотелка] Добавить возможность указать API ключ для геокодера Яндекс (zed)
- 0001616: [Хотелка] Выделение квадратной области определяемый указанным радиусом вписанной окружности (zed)
- 0003564: [Хотелка] Учитывать настройку "Вид - Проекция" на вкладке Склеить (zed)
- 0003550: [Баг] Не удаётся отправить Cookie в закодированном виде (zed)
- 0003551: [Баг] Краш. Последнаяя бета SAS.Planet.Nightly.190822.10031 (zed)
- 0003544: [Хотелка] Операция создания области по треку работает совершенно неудовлетворительно (zed)
- 0003546: [Баг] Ошибочное удаление меток при операции с выделенной областью (zed)
- 0003535: [Хотелка] Сделать калькулятор Луны по аналогии с калькулятором Солнца (zed)
- 0003524: [Баг] не работает поиск Росреестра (zed)
- 0003533: [Хотелка] Калькулятор Солнца: обновлять положение Солнца в реальном времени (zed)
- 0003464: [Баг] Не работает поиск в Росреестре по кадастровому номеру. (zed)
[22 инцидента]

SAS.Планета - 190707 (Выпущена 07-07-19)
=======================================
- 0003463: [Баг] При экспорте меток в создаваемом *.kmz дублируются изображения меток (zed)
- 0003174: [Баг] EAssertionFailed: Assertion failure в u_MarkDBImplORMHelper.pas, line 1350 (zed)
- 0003212: [Баг] База меток в MongoDB: Не полностью отображается список меток (zed)
- 0003460: [Баг] Не сохраняется настройка меню "Вид" - "Брать векторные слои из меньших масштабов" (zed)
- 0003459: [Хотелка] Создавать итератор по прямоугольнику, вместо итератора по полигону, когда это возможно (zed)
- 0003435: [Баг] Удаление всех вложенных категорий при удалении одной из одноимённых родительских категорий (zed)
- 0002992: [Хотелка] Добавить кнопку "перейти" рядом с полем ввода адреса (zed)
- 0000684: [Баг] Зависание при поиске, если нет связи (zed)
- 0003454: [Баг] Невозможно изменить свойства категории меток (zed)
- 0001724: [Баг] Удаляется поисковый запрос в списке при потери фокуса списка (zed)
- 0003452: [Хотелка] Добавить возможность использовать глобальные переменные в PascalScript (zed)
- 0003451: [Баг] Размер окна Управление метками при первом запуске слишком большой (zed)
- 0003448: [Хотелка] Экспорт в ZIP - добавить настройки сжатия и разбиения на тома (zed)
- 0003447: [Баг] TStorageStateInternal игнорирует опцию AllowScan (zed)
- 0003446: [Хотелка] Изменить дефолтный тип кэша с "родного" тайлового на SQLite3 (zed)
- 0003445: [Хотелка] В "Управлении кэшем" сделать возможным в качестве источника указать тайловый кэш в *.zip архиве (zed)
- 0003444: [Хотелка] Вынести в отдельный пункт меню операцию копирования текстового представления координат метки (zed)
- 0003443: [Хотелка] Копировать в буфер обмена текстовое представление меток (vdemidov)
- 0003441: [Хотелка] Possibility to change placemarks database from Main Menu and Toolbar (zed)
- 0002692: [Баг] Лаг при открытии окна операций с выделенной областью (vdemidov)
- 0002164: [Рефакторинг] Сделать отдельный кэш для маркеров подписей меток-точек (vdemidov)
- 0000652: [Хотелка] При импорте kmz также импортировать и значки (vdemidov)
- 0003437: [Баг] Смещенные подписи меток (vdemidov)
- 0000999: [Хотелка] Нет хинтов при наведении на оверзум полигонов Викимапии (vdemidov)
 - 0000374: [Хотелка] Оверзум для Викимапии и Панорамио (vdemidov)
- 0003430: [Хотелка] Назначить внешнее приложение для просмотра прикрепленных фотографий (zed)
- 0003433: [Баг] Мелкая утечка памяти (zed)
- 0003434: [Рефакторинг] Удалить неиспользующийся код просмотра локальных картинок в форме внутреннего браузера (zed)
- 0001038: [Хотелка] Ссылки с описания меток на файлы жесткого диска (zed)
- 0003427: [Рефакторинг] Переименовать TKmlInfoSimpleParser в TWikimapiaKmlParser (vdemidov)
- 0003432: [Хотелка] Загрузка оформления элементов векторных слоев из исходных тайлов (vdemidov)
- 0003431: [Рефакторинг] Удалить неиспользуемую переменную (vdemidov)
- 0003405: [Баг] Новая метка создается смещенной от места клика (zed)
- 0003420: [Рефакторинг] Удалить разбросанную по коду распаковку gzip, т.к. теперь она производится качалкой автоматически (zed)
- 0003418: [Хотелка] Вынести в настройки глобальное ограничение на число соединений к серверу (настройка WinInet) (zed)
- 0003425: [Баг] При работе по HTTPS не работает постоянное соединение (zed)
- 0003424: [Хотелка] Включить поддержку протокола HTTP/2 в WinInet под Windows 10 (zed)
- 0003419: [Баг] Смещается список меток (zed)
- 0003421: [Рефакторинг] Сделать фабрику для создания IDownloader и IDownloaderAsync (zed)
- 0003417: [Хотелка] Добавить обработку заголовка Content-Encoding в HttpDownloader (zed)
- 0003410: [Хотелка] Включить ASLR и DEP для исполняемого файла SASPlanet.exe (zed)
- 0000764: [Хотелка] Добавить в контекстное меню меню "Управление метками" операции копирования и вставки (zed)
- 0003395: [Баг] Вылет ошибки при удалении категории меток (zed)
- 0003389: [Хотелка] Поддержка формата webp для тайлов (vdemidov)
 - 0003390: [Хотелка] FreeImage - включить поддержку чтения/записи в формат webp (zed)
- 0003397: [Баг] Ошибка, при запуске в Windows XP (zed)
- 0003396: [Хотелка] Доработка URL геокодера для ссылок на карты Яндекса (zed)
[47 инцидентов]

SAS.Планета - 181221 (Выпущена 21-12-18)
=======================================
- 0003379: [Баг] Ошибка импорта некоторых файлов KMZ (zed)
- 0003376: [Баг] Пропадает фотография в описании метки (zed)
- 0003370: [Баг] Не работает "Прогноз погоды" через NOAA Forecast (zed)
- 0001853: [Хотелка] Отображение расстояния между промежуточными точками трэка (пути) (zed)
- 0003369: [Хотелка] Изменить дефолтное оформление надписей у линейки (zed)
- 0003345: [Баг] Рисование маршрута - тормоза после 20-й точки (zed)
- 0003368: [Рефакторинг] В интерфейс IPointCaptionsLayerConfig добавить свойство FontName (zed)
- 0002049: [Рефакторинг] Необходимо переделать выделение области вокруг пути (трека) (zed)
- 0003364: [Рефакторинг] Добавить счётчики производительности алгоритмов построения полигона по пути/треку (zed)
- 0002450: [Баг] При выделении области по треку внутри области получаются дырки (zed)
- 0003317: [Баг] Пропадают настройки вкладки "Загрузки" при масштабе Windows 200% (zed)
- 0002314: [Хотелка] Сортировка списка карт в выпадающем меню выбора главной карты (zed)
- 0003356: [Хотелка] Обегчить систематизицию имеющихся карт (zed)
- 0003359: [Рефакторинг] Добавить реализацию IGUIDInterfaceSet которая сохраняет порядок элементов (zed)
- 0003354: [Хотелка] В параметры командной строки добавить опцию авто-старта загрузок из сохранённых сессий (*.sls) (zed)
- 0003103: [Хотелка] В параметры командной строки добавить опцию для центрирования по X, Y, Zoom (zed)
- 0003350: [Баг] Не работает масштабирование панелей вкладки Загрузить операций с выделенной областью при dpi <> 96 (zed)
- 0003347: [Хотелка] Автосохранение сессии при скачивании выделенной области (zed)
- 0003210: [Хотелка] Чек-бокс в списке карт в окне Настройки (zed)
- 0003211: [Баг] База меток в MongoDB: Отображение протяжённых объектов из меток (zed)
- 0000179: [Хотелка] Возможность привязки иконки метки не только по середине нижнего края иконки, но и по центральной точке иконки (zed)
- 0003344: [Баг] При экспорте меток в KML не учитывается точка привязки иконки (zed)
- 0003343: [Рефакторинг] При экспорте в KML масштаб шрифта метки считается относительно НЕ дефолтного шрифта (zed)
- 0003339: [Хотелка] Определённым образом форматировать KML-файл при экспорте меток (zed)
- 0003337: [Баг] Не показывает высоту по данным ALOS AW3D30 версии 2.1 (zed)
- 0003338: [Рефакторинг] Список провайдеров высот выводить в отсортированном (по названию) виде (zed)
- 0003336: [Рефакторинг] Заменить реализацию CRC32 на более быструю (zed)
- 0003335: [Баг] Перескакивание курсора в начальную позицию при поиске в "Перейти к ..." (zed)
- 0003293: [Хотелка] Склейка GeoTiff в несколько потоков на одну задачу (vdemidov)
- 0003330: [Баг] AV в ночнушке, релиз работает (zed)
- 0000426: [Хотелка] Добавить обработку <LineStyle>, <PolyStyle> при импорте из .kml (zed)
- 0003308: [Хотелка] Включить использование 4 Гб памяти для процесса (zed)
- 0003055: [Баг] Горячие клавиши Избранного срабатывают в других окнах (zed)
- 0003303: [Баг] BackgroundColor интерпретируется по-разному, то RGB, то BGR (zed)
- 0002110: [Хотелка] Отображение Солнца/Луны на карте в заданной точке (zed)
- 0003298: [Баг] Зависание при поиске Метки (zed)
- 0003296: [Баг] Access Violation при [не]удалении тайлов в выделеной области (vdemidov)
- 0003158: [Баг] Зависание при изменении масштаба с 9 на 10 или с 10 на 9 при разрешении 3840х2160 (vdemidov)
- 0000663: [Хотелка] Создание круглых областей заданного радиуса (zed)
- 0003285: [Рефакторинг] Уточнить названия пунктов экспорта в МЯК (Мобильные Яндекс.Карты) (zed)
- 0003284: [Баг] Ошибка в пути расположения иконок (zed)
- 0001300: [Хотелка] Сортировка списка карт (zed)
- 0002895: [Хотелка] Возможность выбора точки привязки меток (центр иконки, верх иконки и др.) (zed)
- 0003275: [Баг] Автоопределение Content-Type работает неожиданным образом в старых IE версиях (младше IE 9) (zed)
- 0003272: [Баг] При повторном клике пункт меню не отключает активность (Garl)
- 0003246: [Баг] Управление кешем. Сброс даты тайла при импорте в БД (zed)
- 0003235: [Хотелка] Сохранение расстояния в метку с последующим редактированием (zed)
- 0003236: [Баг] Неверный экспорт KML файла (zed)
- 0003231: [Хотелка] Увеличить частоту обновления показаний GPS датчиков (zed)
- 0003230: [Хотелка] Добавить скорость "230400" в настройки GPS (zed)
- 0003221: [Баг] GeoTiff: Stitch failure when the file reached 4Gb (zed)
- 0003218: [Хотелка] Убрать жесткую привязку к схеме "public" при хранении меток в СУБД Postgresql (zed)
- 0003162: [Рефакторинг] Добавить новый источник высотных данных (Garl)
 - 0003187: [Хотелка] Добавить SASTerrain.ini в ночные сборки (Garl)
- 0003208: [Баг] Операции с выделенной областью и пустой список карт (Garl)
- 0003198: [Хотелка] Добавить поля площади и кадастровой стоимости в описание найденного через поиск участка в слое Rosreestr (Garl)
- 0002934: [Хотелка] Добавить поддержку жеста изменения масштаба на сенсорном экране (vdemidov)
- 0003205: [Баг] Выделяет с ошибкой при всех картах readonly (Garl)
- 0003197: [Баг] Не загружается информация о панелях управления (vdemidov)
- 0001807: [Хотелка] Вынести настройки панелей на главной форме в отдельный файл (vdemidov)
- 0003193: [Баг] Проблемы с настройкой базового относительного пути для кеша (vdemidov)
- 0002900: [Хотелка] Принудительное сохранение ini файлов в utf-8 (vdemidov)
- 0003108: [Баг] Неверная категория меток после перемещения (vdemidov)
- 0003151: [Баг] Ассерт в дебажной версии при редактировании линий (vdemidov)
- 0003163: [Хотелка] Экспорт в растровый IMG для Garmin (AlexWhiter)
- 0003183: [Хотелка] Подсказка о хоткее (Backspace) для удаления точки при добавлении пути (alexandr-dolgov)
- 0003181: [Хотелка] Добавить хоткей F2 на изменение метки в окне "Управление метками" (alexandr-dolgov)
- 0003179: [Рефакторинг] Уточнение формулы перевода из WGS84 в прямоугольные координаты СК-42 (zed)
- 0002474: [Баг] Лишняя подкатегория при импотре трека (zed)
- 0003175: [Баг] NMEA: Игнорируется статус "V" в RMC и GLL, и Position Fix Flag "0" в GGA (zed)
- 0003172: [Баг] Не добавляются и не изменяются метки в MongoDB 3.2.8 (zed)
- 0003157: [Баг] Некорректная структура world файлов при склейке карты (zed)
- 0003156: [Баг] Перепутаны местами поля выбора типа экспортируемых карт (zed)
- 0003155: [Баг] Ошибка в заголовках файлов, экспортированных в формат МЯК (версия 3) (zed)
- 0003153: [Баг] Bug with vertical Scale Legend (zed)
- 0003148: [Баг] В дебажной версии после склейки в ECW следующие окна о результате склейки становятся не классическими (zed)
- 0003149: [Баг] отказ в конвертации и создании кэша SQLite (zed)
- 0003134: [Баг] Сообщение при старте закачки (vdemidov)
- 0003135: [Баг] Вылет в u_TimeZoneInfo (zed)
- 0003144: [Баг] В последних версиях программы F1 стала жестко закодирована (vdemidov)
- 0003142: [Баг] Не меняется пункт меню при смене языка (vdemidov)
- 0003133: [Хотелка] Устанавливать опцию "Закрывать окно после завершения" из окна загрузки (Garl)
- 0003125: [Хотелка] Добавить счетчики производительности в класс кэширования (vdemidov)
- 0003064: [Хотелка] Не работает геокодер поиска кадастровых границ средствами Росреестра (Поиск - Росреестр) (Garl)
- 0003098: [Хотелка] Обновить библиотеку CCR.Exif (vdemidov)
- 0003101: [Баг] Отказ в конвертации кэша в SQLite из-за проблем с памятью (zed)
- 0000425: [Хотелка] Добавить обработку <Folder> при импорте из .kml (zed)
- 0003114: [Баг] Менеджер кэша неправильно обрабатывает имена с точкой (zed)
[88 инцидентов]

SAS.Планета - 160707 (Выпущена 07-07-16)
========================================
- 0003091: [Рефакторинг] Переименовать опцию Версия - Отображать предыдущие версии (vdemidov)
- 0002622: [Рефакторинг] Убрать наследование операций с выделенной областью от TThread (vdemidov)
- 0003076: [Баг] Во фреймах диалога "операции с выделенной областью" поправить высоты и ширины комбобоксов, чекбоксов итд. (zed)
- 0003092: [Баг] Неверная работа опции Версия - Сбросить (zed)
- 0003093: [Хотелка] В кэше SQLite выполнять детектирование дубликатов тайлов по CRC32, а не по размеру тайла (zed)
- 0003090: [Баг] Логика работы с предыдущими версиями в SQLite кэше отличается от логики кэша Беркли (zed)
- 0002429: [Баг] GPS Location API теряет связь (vdemidov)
- 0002718: [Хотелка] При склейке в файл с alpha - делать дырки в кэше прозрачными (vdemidov)
- 0001920: [Хотелка] Новый тип кэша на основе SQLite3 (zed)
- 0003078: [Баг] Кэш SQLite3: функции Delete и SaveTile могут возвращать неопределённый результат (zed)
- 0003079: [Баг] Копия программы ругается на уже открытые первой программой старые карты, зархивированные в zmp (zed)
- 0003066: [Баг] Баг в итераторе по версионному кэшу BerkeleyDB (zed)
- 0001163: [Баг] Искажения при наложении слоёв с разными проекциями (vdemidov)
- 0003063: [Хотелка] В PascalScriptIDE сохранять params.txt в utf-8 (vdemidov)
- 0002878: [Баг] В юникодной версии невозможно сохранить путь к кэшу в юникоде (vdemidov)
- 0002875: [Баг] Символы не из основной локали заменяются на знаки вопроса в истории поиска (vdemidov)
- 0003058: [Баг] Lat/Lon Grid - некорректное отображение выбраных пунктов выпадающего меню (vdemidov)
- 0002137: [Хотелка] Решение проблемы с иконкой в Aero (vdemidov)
- 0002976: [Баг] Склейка в KMZ для Garmin в файл с юникодным именем (vdemidov)
- 0003059: [Баг] Ошибка при проверке наличия обновления (zed)
- 0003003: [Баг] Мультипуть - Операции с выделенной областью (vdemidov)
- 0002978: [Баг] При импорте треков из GPX загружать сегменты трека как мульти линию, а не отдельные метки (vdemidov)
- 0003057: [Хотелка] Сохранение новых ini файлов в utf-8 (vdemidov)
- 0003043: [Баг] Неадекватный диалог в функции Ungroup (vdemidov)
- 0002278: [Баг] Не импортируется файл с именем с символами не из основной локали (vdemidov)
 - 0002166: [Хотелка] Переход на версию Delphi с полной поддержкой юникода (zed)
- 0000072: [Хотелка] Склейка в формат GeoTiff (zed)
- 0003032: [Хотелка] Отображать в меню горячие клавиши для карт и слоёв. (vdemidov)
- 0000181: [Хотелка] Комментарии слоя wikimapia, написанные иероглифами, отображаются знаками вопроса (vdemidov)
 - 0002166: [Хотелка] Переход на версию Delphi с полной поддержкой юникода (zed)
- 0000626: [Хотелка] Добавить возможность создавать метки и категории в Юникоде (zed)
 - 0002166: [Хотелка] Переход на версию Delphi с полной поддержкой юникода (zed)
- 0001953: [Баг] Нет прозрачности у png тайлов с 24 битным цветом (zed)
 - 0003053: [Хотелка] Обновить библиотеку FreeImage до версии 3.17 (zed)
  - 0003054: [Хотелка] Обновить библиотеку libpng до версии 1.6 (zed)
- 0003052: [Хотелка] Обновить библиотеку proj4 (zed)
- 0002581: [Баг] выворачивает склеенные растры в формате jpeg2000 (zed)
[35 инцидентов]

SAS.Планета - 160606 (Выпущена 06-06-16)
=======================================
- 0003045: [Баг] Разгрупировка нескольких мультиполигонов не работает (vdemidov)
- 0002926: [Хотелка] Расширить функционал избранных карт, добавив избранные места (zed)
- 0002928: [Баг] Экспорт метки (vdemidov)
- 0002229: [Баг] Артефакты при отображении тайлов (vdemidov)
- 0003035: [Баг] Неправильное название геокодера в панели после смены языка (vdemidov)
- 0003034: [Хотелка] Переназначить горячую букву в English pop-up меню карты (vdemidov)
- 0002999: [Баг] Ошибка детектирования типа тайла если сервер возращает пустое тело тайла (vdemidov)
- 0002983: [Баг] Ошибка при склейке если стоит "Накладывать сетки", но ни одна из сеток не включена (vdemidov)
- 0002963: [Баг] ЕAccessViolation при склейке карты (vdemidov)
- 0003042: [Хотелка] Сделать отдельную кнопку для функции Save as separate placemarks (vdemidov)
- 0003041: [Баг] Ошибка при отмене в операции Ungroup (vdemidov)
- 0003017: [Баг] Русские буквы в коде (vdemidov)
- 0002901: [Хотелка] Переход на базу меток в SQLite по умолчанию (zed)
- 0002613: [Хотелка] Организация произвольных карт+слоёв в наборы для быстрого переключения между ними (zed)
- 0002700: [Хотелка] Добавить функцию разрезания пути (vdemidov)
 - 0001737: [Хотелка] Разбиение трека по разрывам (vdemidov)
 - 0001736: [Хотелка] Добавление разрывов в трек (vdemidov)
- 0002979: [Хотелка] При редактировании линий отображать отдельным цветом первую точку каждого сегмента (vdemidov)
- 0002542: [Баг] Access violation при импорте трека kmz (zed)
- 0003039: [Баг] Не работает получение ссылки на тайл, если в скрипте для этого используется Downloader (zed)
- 0003022: [Хотелка] Потдержка https-запросов на скачивание (не имеющих http альтернатив) (zed)
- 0003033: [Баг] WinInet ограничивает максимальное число соединений с сервером (zed)
- 0003029: [Баг] AV при уменьшении числа MaxConnectToServerCount из настроек карты (zed)
- 0003027: [Хотелка] В настройки карты добавить опцию "Число одновременных соединений с сервером" (zed)
- 0001647: [Хотелка] Автоматическая разбивка выделения на несколько потоков скачки (zed)
- 0002916: [Баг] При сохранении сессии в .SLS - не сохраняется состояние галки "Закрывать окно при завершении" (zed)
- 0003023: [Рефакторинг] Оптимизировать процесс запуска закачки из сохранённой сессии (*.sls) (zed)
- 0002937: [Хотелка] В заголовке прогресса экспорта добавить обрабатываемые зумы (Garl)
- 0002975: [Баг] В Unicode версии неправильно отображаются названия квадратов ГШ (zed)
- 0002958: [Хотелка] Отображение азимутов в промежуточных точках (zed)
- 0003011: [Баг] Игнорируется настройка проекции отображения после рестарта (zed)
- 0002970: [Баг] Ошибка при поиске меток, если база данных в MongoDB 3.2.3 (zed)
- 0002995: [Хотелка] Экспорт в MBTiles с генерированием TileMill совместимой схемы (zed)
- 0002985: [Баг] Access violation при изменении метки (zed)
- 0002538: [Баг] При наличии в кеше GC подпапки "Others" перестает работать чтение этого кеша планетой. (zed)
 - 0002124: [Рефакторинг] Переделать прямое (direct) чтение из кэша GeoCacher-а (zed)
- 0002910: [Рефакторинг] Добавить в фрейм парметров склейки информацию о поддержке юникода в имени файла (vdemidov)
- 0002971: [Хотелка] Защита от непреднаменренного удаления трека (zed)
- 0000538: [Хотелка] Многослойные карты *.rmp для приборов Magellan (Triton, Explorist) и программы VantagePoint (zed)
- 0002967: [Баг] Ошибка при попытке экспорта в тайловом формате OsmAnd+ Tiles (zed)
- 0002942: [Баг] Неправильно подсчитывается количество тайлов (zed)
- 0002941: [Баг] MergePolygonsProgress: Cannot focus a disabled or invisible window (zed)
- 0002939: [Хотелка] Во вкладке скопировать запоминать последние выбранные пути (Garl)
- 0002925: [Баг] SAS.Planet 151111 не запускается под wine 1.7 и выше (zed)
- 0002936: [Хотелка] Добавить опцию "Накладывать отображаемые слои" на вкладке Cкопировать - Изменить (zed)
- 0002935: [Хотелка] Добавить опцию "Накладывать отображаемые слои" в экспорт в OruxMaps/RMaps/MBTiles (zed)
- 0000376: [Хотелка] Отображение координат в СК42 (zed)
- 0002931: [Хотелка] Отрицательные значения в GpsInfo.ini (vdemidov)
- 0002930: [Баг] Переключение по Alt+tab нарушается, если открыто окно информации о метке (vdemidov)
- 0002920: [Хотелка] Поиск точки в треке по дате (опционально по времени) (Garl)
- 0002924: [Баг] Нет возможности сохранить GPS-трек (vdemidov)
- 0002923: [Баг] Вместо режима Интернет+Кэш работает режим Интернет (vdemidov)
- 0002918: [Баг] Загрузка самого верхнего и нижнего рядов тайлов Я.ру (vdemidov)
- 0001949: [Хотелка] Добавление слоя Blank при экспорте в JNX формат (AlexWhiter)
- 0002911: [Рефакторинг] Добавить в ITileStorageTypeAbilities информацию о поддержке юникода в пути к тайлохранилищу (vdemidov)
- 0002909: [Рефакторинг] Добавить в IMapCalibration информацию о поддержке юникода в имени файла (vdemidov)
- 0002913: [Баг] Не работает переход по URL Яндекс-карт в западном полушарии (Garl)
- 0002912: [Баг] При загрузке выделенной области не считаются обработанные файлы (vdemidov)
- 0002886: [Баг] Ошибка при импорте sml-файла в MS SQL (zed)
- 0002907: [Хотелка] Не закрывать окошко "Перейти к.." (Garl)
[60 инцидентов]

SAS.Планета - 151111 (Выпущена 11-11-15)
========================================
- 0002862: [Баг] Невозможно склеить карту Navionics: Ошибка при сохранении! Код ошибки 47 (zed)
- 0002880: [Баг] Возможно есть проблемы в экспорте в Ecw c использовании PChar в юникодной версии (zed)
- 0002401: [Хотелка] Добавить отдельную настройку даты для загрузки с заменой tne (vdemidov)
- 0002891: [Рефакторинг] Заменить использование WideString (vdemidov)
- 0002690: [Рефакторинг] Добавить определение кодировки ini-файлов при загрузке в ConfigDataProvider (vdemidov)
- 0002894: [Баг] Переменовать Project Point (zed)
- 0002892: [Баг] Добавить обработку vtUnicodeString в FinalizeVarRec (vdemidov)
- 0002881: [Баг] Проблемы при работе с PChar в юникодной версии в CPDrv.pas (vdemidov)
- 0002047: [Баг] После изменения названия карты в zmp не меняется название в интерфейсе (vdemidov)
- 0002890: [Баг] Ошибка чтения GUID провайдеров высот (рельефа) из ini файла (vdemidov)
- 0002883: [Хотелка] Проблемы с юникодом при обработке событий WMCopyData (zed)
- 0002493: [Рефакторинг] Упорядочить использование RegExpr и RegExprUtils (vdemidov)
- 0002877: [Хотелка] Поддержка utf-8 и utf-16 при загрузке параметров карты в неюникодной версии программы (vdemidov)
- 0002879: [Хотелка] Карта заполнения показывается для более высокого по зуму кэша, но не для более низкого (vdemidov)
- 0002882: [Баг] Мелкие проблемы работы с юникодом в MD5.pas и KAZip.pas (vdemidov)
- 0002868: [Баг] В юникодной версии SAS, в главном меню, вместо хинтов выводятся знаки вопроса (vdemidov)
- 0002869: [Рефакторинг] Проблемы с отображением датчиков в юникодной версии (vdemidov)
- 0001379: [Хотелка] Экспорт в формат MBtiles (на основе SQLite3) (zed)
- 0002867: [Баг] При загрузке сохраненной сессии выдает ошибку (vdemidov)
- 0002856: [Рефакторинг] В классах модели ORM меток, в полях-ссылках на таблицы, использовать TID (zed)
- 0002850: [Рефакторинг] Создать отдельную функцию вычисления количества тайлов в полигоне (vdemidov)
- 0002865: [Баг] Исправить диалог открытия файлов "File\Open..." (vdemidov)
- 0002857: [Баг] Редактирование базы данны меток двумя пользователями (zed)
- 0002864: [Хотелка] Изменение названия меню. (zed)
- 0002861: [Баг] Опечатки в английской версии (zed)
- 0002860: [Баг] Видимость категорий хранящихся в MS SQL (zed)
- 0001544: [Хотелка] Склейка карты заполнения (vdemidov)
- 0002854: [Баг] Работа с Microsoft SQL через ODBC (zed)
[28 инцидентов]

SAS.Планета - 151010 (Выпущена 10-10-15)
========================================
- 0002848: [Хотелка] Тип кэша для MapTiler 1.0 beta 2 (zed)
- 0002782: [Баг] Ошибка построения дерева категорий по списку категорий (vdemidov)
- 0002840: [Баг] Bug in "Projecting" (vdemidov)
- 0002841: [Баг] Show panel "Time Interval" when clicking on "View\Cached Tiles Map\Within Time Interval" (vdemidov)
- 0002835: [Рефакторинг] КНДР перешла на UTC+8:30 (zed)
- 0002837: [Баг] Ошибка в окне GoTo при отсутствии меток в базе (vdemidov)
- 0002836: [Баг] При смене языка заголовки фреймов выбора пути не изменяются (vdemidov)
- 0002348: [Баг] Не скачивает релиз (zed)
- 0002830: [Баг] Не строится карта заполнения при скачивании (vdemidov)
- 0002814: [Хотелка] Сохранять положение перегородки между левой и правой частями окна "Управление метками" (zed)
- 0001249: [Баг] Дрыганье закреплённых тулбаров при сохранении настроек (и выходе из программы) (vdemidov)
- 0000543: [Хотелка] Отображение прямоугольного выделения (vdemidov)
- 0002821: [Хотелка] Отобразить сколько меток выделено из общего числа меток в одной категории (zed)
- 0002714: [Рефакторинг] Добавить в TBitmapTileMatrixBuilder и TVectorTileMatrixBuilder признак необходимости перепроецирования тайлов (vdemidov)
- 0002823: [Баг] Невозможно вставить из буфера текст в поле для описания метки/полигона (zed)
- 0002669: [Рефакторинг] Переделать ICoordConverter (vdemidov)
 - 0002801: [Рефакторинг] Переименовать IProjectionInfo в IProjection (vdemidov)
  - 0002805: [Рефакторинг] Убрать свойстов GeoConverter из IProjectionInfo (vdemidov)
   - 0002803: [Рефакторинг] Заменить использование ICoordConverter на IProjectionInfo там где это возможно (vdemidov)
   - 0002804: [Рефакторинг] Заменить использование ICoordConverter на IProjectionSet (vdemidov)
 - 0002805: [Рефакторинг] Убрать свойстов GeoConverter из IProjectionInfo (vdemidov)
 - 0002803: [Рефакторинг] Заменить использование ICoordConverter на IProjectionInfo там где это возможно (vdemidov)
 - 0002804: [Рефакторинг] Заменить использование ICoordConverter на IProjectionSet (vdemidov)
[20 инцидентов]

SAS.Планета - 150915 (Выпущена 15-09-15)
========================================
- 0000884: [Хотелка] Экспорт для OsmAnd (GunSmoker)
- 0002107: [Баг] sml файлы не по стандарту XML (zed)
- 0002771: [Баг] Пропадают тайлы в версионном кеше беркли (zed)
- 0002697: [Рефакторинг] Unicode: логин и пароль (IProxyConfig) должны быть в Unicode (vdemidov)
- 0002813: [Баг] Невозможно экспортировать карту Navionics в OruxMaps (zed)
- 0002605: [Хотелка] Горячая клавиша для создание полигона согласно росреестру (zed)
- 0002627: [Рефакторинг] Вынести функции прилипания точки и прямоугольника к сетке из конфигов сетки (vdemidov)
- 0002806: [Хотелка] Притяигвание к сеткам (vdemidov)
 - 0002627: [Рефакторинг] Вынести функции прилипания точки и прямоугольника к сетке из конфигов сетки (vdemidov)
- 0002809: [Баг] Метки в SQLite3: не сохраняется выбор категорий при выходе (zed)
- 0002802: [Рефакторинг] Создать IProjectionSet (vdemidov)
- 0002808: [Рефакторинг] Создать IProjectionSetChangeable и реализацию (vdemidov)
- 0001076: [Хотелка] Экспорт GPX (GunSmoker)
- 0002800: [Рефакторинг] Расширить IProjectionInfo (vdemidov)
- 0002799: [Рефакторинг] Создать IProjectionType и его реализации (vdemidov)
- 0001471: [Хотелка] Сделать импорт KML с дырками (vdemidov)
 - 0002048: [Хотелка] Дырки в полигонах (vdemidov)
- 0002786: [Баг] При экспорте в KML пути должны содержать 2 и более точек (vdemidov)
- 0001077: [Хотелка] Объединение сегментов трека в мультилинию при импорте GPX (vdemidov)
- 0002795: [Баг] Пропадает трек на больших зумах (vdemidov)
- 0002798: [Баг] Одинаковый хэш у полигона с дыркой и мультиполигона из двух таких же контуров. (vdemidov)
- 0002414: [Баг] Карта заполнения и загрузка выделенной области (vdemidov)
- 0001877: [Хотелка] Логические функции при работе с полигонами (zed)
 - 0002048: [Хотелка] Дырки в полигонах (vdemidov)
- 0002788: [Баг] Невозможно создать полигон (vdemidov)
- 0002787: [Баг] Утечка памяти THtmlToHintTextConverterStuped (zed)
- 0002785: [Хотелка] При новом выделении разворачивать свёрнутое окно "операции с выделенной областью" (vdemidov)
- 0002783: [Хотелка] Add to Pascal Script supprot of MD5 hash (zed)
- 0002778: [Рефакторинг] Добавить обработку ошибок в подсистеме меток (zed)
- 0002781: [Баг] Access Violation в TDownloadResultError.GetErrorText в юникодной версии (GunSmoker)
- 0000325: [Хотелка] При копировании кэша менять тип файлов (jpg->png) (GunSmoker)
- 0002775: [Баг] Отображение пути на низких уровнях зума (vdemidov)
- 0002763: [Хотелка] Добавить возможность наложения слоёв при экспорте/копировании (GunSmoker)
- 0002774: [Баг] Многосекционный трек импортируется в SML базу только частично (vdemidov)
- 0001200: [Рефакторинг] Добавить кэширование тайлов на уровне тайлохранилища (zed)
- 0002717: [Баг] AV при сохранении нового полигона (zed)
- 0002770: [Хотелка] Добавить возможность хранить метки в MongoDB (zed)
- 0002610: [Баг] BerkeleyDB: Invalid floating point operation (zed)
- 0001039: [Рефакторинг] Тормоза с ростом количества меток и массы файла marks.sml (zed)
- 0002769: [Баг] Срабатывает Assert в u_HashInterfaceCache2Q.pas (vdemidov)
- 0002765: [Баг] Access Violation при экспорте SML меток (zed)
- 0002716: [Рефакторинг] Фильтрация меток по размеру, при получении их списка (zed)
- 0002759: [Хотелка] Добавить возможность переключать текущую базу меток (zed)
- 0002752: [Хотелка] Масштабирование экрана при импорте трека (zed)
- 0001030: [Хотелка] Карта заполнения для полигона (zed)
- 0002743: [Баг] В экспорте в zip и tar, в выборе формата, не полный перечень поддерживаемых тайловых кэшей (zed)
- 0002746: [Хотелка] Геокодер URL - распознавать ссылки на Google (Garl)
- 0002742: [Баг] Превью фоток в метках с отстутсвующим файлом превью (zed)
- 0001889: [Хотелка] Экспорт в формат OruxMaps (zed)
- 0002723: [Хотелка] Не отмечать текущий зум в чекбоксе выбора зумов (zed)
- 0002732: [Хотелка] Включение\Отключение тайловой сетки одной "горячей клавишей" (Garl)
- 0002713: [Баг] Мультиполигоны с пересекающимися полигонами отображаются не верно (vdemidov)
- 0001834: [Хотелка] Объединять несколько полигонов в одну метку (zed)
- 0002704: [Баг] XE2: глючит PascalScript на картах Bing (zed)
- 0002705: [Баг] Unicode. В юникодной версии экспор в AUX неправильно записывает файл (vdemidov)
- 0000295: [Хотелка] Сохранение (либо экспорт) графики в RAW-формат (vdemidov)
- 0000104: [Хотелка] В "Операции с выделенной областью - Загрузить" сделать выбор сразу нескольких зумов (zed)
- 0002715: [Баг] Иногда появляется "мусор" в хвосте сгенерированных jpeg (zed)
- 0002695: [Баг] Юникод: Проблемы с кодировкой в описании метки, созданной через IGeoCodePlacemarkFactory и пустом поле AFullDesc (vdemidov)
- 0002691: [Баг] Юникодная версия. Результаты геокодера Яндекса в виде знаков вопроса. (zed)
- 0002693: [Рефакторинг] Отсортировать юниты в SASPlanet.dpr (zed)
- 0002679: [Хотелка] Сделать возможность тестировать паскаль-скрипты для zmp (zed)
- 0002368: [Баг] Ошибка при экспорте в ecw слишком малой области (vdemidov)
- 0002684: [Баг] Ошибка при вызове "Открыть тайл основной карты" для отсутствующего тайла (zed)
- 0002685: [Баг] Пункт меню "Открыть папку, содержащую тайл основной карты" для отсутствующего тайла (zed)
- 0002678: [Рефакторинг] Избавиться от отдельной реализации LonLat2Metr и Metr2LonLat (vdemidov)
- 0002677: [Баг] Оочень медленное склеивание тайлов (vdemidov)
- 0002676: [Хотелка] В геокодер "Поиск по URL" добавить поддержку ссылок на Народные Яндекс Карты (Garl)
- 0002674: [Баг] Ошибка в TFileNameIteratorInFolderByMask.Next (vdemidov)
- 0002675: [Баг] Вылет сразу после запуска
- 0002673: [Рефакторинг] Сделать простенькую замену TTileIteratorByRect на основе record (vdemidov)
- 0002665: [Хотелка] В окошко скачивания добавить кнопку "Переключить на скачиваемую карту" (Garl)
- 0002668: [Баг] Если поставить и снять галочку "кэш только для чтения", загрузка будет невозможна (vdemidov)
- 0002628: [Рефакторинг] В IBitmapLayerProvider добавить метод GetTile
- 0002648: [Баг] Замораживается картинка при переключении между картами (vdemidov)
- 0002661: [Баг] Не отображаются вновь скачанные тайлы (zed)
- 0002660: [Баг] Падение при запуске без zmp слоев (vdemidov)
- 0002651: [Баг] Подвисание отображения карты при тормозах слоя заполнения (vdemidov)
 - 0002655: [Хотелка] Добавить параметр INotifierOperation в методы тайлохранилищ (vdemidov)
 - 0002656: [Рефакторинг] Усовершенствовать TBitmapTileMatrixChangeableComposite (vdemidov)
- 0002650: [Баг] Падение при старте, если zmp активной карты был удален (vdemidov)
- 0002638: [Баг] После SAS.Planet.Nightly.150222.8528 перестало отображаться выделение (vdemidov)
- 0002129: [Хотелка] Плавное изменение зума на миникарте при включенной анимации зуммирования (vdemidov)
- 0002634: [Рефакторинг] Навести порядок в именах юнитов в папке MapLayers (vdemidov)
- 0000987: [Хотелка] Изменить иконку для фоток Panoramio (zed)
- 0002156: [Рефакторинг] Заменить много визуальных тайловых слоев одним (vdemidov)
 - 0002466: [Рефакторинг] Переделать ITileMatrixElement и ITileMatrix (vdemidov)
  - 0002078: [Рефакторинг] Добавить вычисление хэша для растровых объектов при создании (vdemidov)
 - 0002078: [Рефакторинг] Добавить вычисление хэша для растровых объектов при создании (vdemidov)
- 0002465: [Рефакторинг] Cоздать IVectorTileMatrix и TBitmapTileMatrixByVectorTileMatrix (vdemidov)
 - 0002466: [Рефакторинг] Переделать ITileMatrixElement и ITileMatrix (vdemidov)
- 0002629: [Рефакторинг] Убрать из конфигов IMapType (vdemidov)
- 0002615: [Баг] Метки не прорисовываются до принудительного обновления экрана (vdemidov)
- 0002624: [Баг] Ошибка при удалении пустых тайлов по региону из кэша (vdemidov)
- 0001988: [Баг] Вид - Отображать границы изображений (vdemidov)
- 0000494: [Хотелка] Возможность наложить несколько слоёв в режиме Склеить (zed)
- 0002539: [Баг] Вылет программы или окошко с ошибкой при выборе версии кеша GC (zed)
- 0001941: [Рефакторинг] Сделать универсальный фрейм выбора типа кэша (zed)
- 0002604: [Хотелка] Опционально не закрывать окошко прогресса экспорта (Garl)
- 0002600: [Хотелка] Использовать SynEdit для подсветки синтаксиса pascal/ini/html текста (zed)
- 0002274: [Баг] Проблемы на 24-м зуме (vdemidov)
- 0002237: [Рефакторинг] Убрать создание отдельных примитивов синхронизации для каждого видимого тайла (vdemidov)
- 0002601: [Рефакторинг] Удалить классы наследники TTiledLayerWithThreadBase (vdemidov)
- 0002596: [Рефакторинг] Заменить использование IViewPortState.Position на VisibleTileRect: ITileRectChangeable (vdemidov)
 - 0002597: [Рефакторинг] Сделать реализации ITileRectChangeable по ILocalCoordConverterChangeable (vdemidov)
  - 0002595: [Рефакторинг] Добавить интерфейс ITileRectChangeable и его реализацию. (vdemidov)
   - 0002594: [Рефакторинг] В ITileRect заменить Zoom на IProjectionInfo (vdemidov)
 - 0002598: [Рефакторинг] Заменить в IObjectWithListener использование ILocalCoordConverter на ITileRect (vdemidov)
  - 0002594: [Рефакторинг] В ITileRect заменить Zoom на IProjectionInfo (vdemidov)
- 0002590: [Рефакторинг] Заменить использование ShellExecute и WinExec (vdemidov)
- 0002592: [Рефакторинг] В интерфейсе ICoordConverter разделить функции проверки и валидацию координат (vdemidov)
[106 инцидентов]

SAS.Планета - 141212 (Выпущена 12-12-14)
========================================
- 0002038: [Хотелка] Формат кэша: 43 Mobile Atlas <ZOOM>\<X>\<Y>.png (zed)
- 0002548: [Рефакторинг] TLayerStatBarPopupMenu должен реализовывать интерфейс IPopUp (vdemidov)
- 0002570: [Баг] Не сохраняется радиус выделения по пути после закрытия программы (vdemidov)
- 0002567: [Баг] При пролистывании карт хоткеем наступает AV. (vdemidov)
- 0002549: [Рефакторинг] Выделить контекстное меню миникарты в отдельный класс (vdemidov)
- 0002541: [Баг] Переход 140505 -> 141111 и дальнейшие ночные сборки, перестали показываться метки (zed)
- 0002547: [Баг] Не работает экспорт в zip/tar из версионного кэша Беркли (zed)
- 0002550: [Рефакторинг] Удалить устаревшие юниты (zed)
- 0002554: [Баг] Не установлен ReadOnly для отображения Params.txt в параметрах карты (Garl)
- 0002560: [Хотелка] Переключение к следующей карте с тайлами (Garl)
- 0002561: [Баг] Скачет окошко ввода хоткея (vdemidov)
[11 инцидентов]

SAS.Планета - 141111 (Выпущена 11-11-14)
========================================
- 0001869: [Хотелка] Обработка внешнего события в САСе с переходом к координатам на карте (zed)
- 0002528: [Баг] Не работает коррекция изображения (vdemidov)
- 0002524: [Хотелка] Добавить в гео-кодер перехода по координатам распознавание координат в метрах (Garl)
- 0002522: [Рефакторинг] Переделать выбор пути к кэшу на фрейм TfrPathSelect (Garl)
- 0002436: [Хотелка] Хоткей для панели результатов поиска (Garl)
- 0002027: [Хотелка] Хоткей для пролистывания версий (Garl)
- 0002521: [Баг] При передаче сообщения в SAS через WM_COPYDATA не осуществляется импорт меток в формате SML (zed)
- 0002534: [Рефакторинг] Переместить в репозитории все исходники в отдельную папку (vdemidov)
- 0002531: [Баг] в окне "склейка" опять пропало окошко выбора масштаба (vdemidov)
- 0002532: [Баг] На вкладке "Настройка - GPS" не видна часть настроек (vdemidov)
- 0001964: [Хотелка] Кнопка "слои" должна выглядеть нажатой при выборе хотя бы одного слоя (vdemidov)
- 0000101: [Хотелка] Подпись окна закачки - отображение источника (vdemidov)
- 0000995: [Хотелка] Опция наложения при склейке границ тайлов или ГенШтаба (vdemidov)
- 0001810: [Хотелка] Сделать на панели менеджера меток кнопку "Все метки видимые" (vdemidov)
- 0000094: [Хотелка] Добавить создание точек по азимуту (vdemidov)
- 0001560: [Хотелка] Убрать растягивание тайлов при отображении из кэша (vdemidov)
- 0002241: [Баг] Отрендеренные тайлы полигонов не всегда обновляются на экране (vdemidov)
- 0000022: [Хотелка] Хочется удалялку или детектор пустых тайлов (vdemidov)
- 0002525: [Баг] Намертво зависает при отсутствии парного закрывающего html тега в описании метки (zed)
- 0002035: [Хотелка] После кропа или конвертации формата нельзя отбросить пустые тайлы (vdemidov)
- 0001672: [Хотелка] Возможность настройки отображения промежуточных расстояний при редактировании путей (vdemidov)
- 0002245: [Хотелка] Исправить базовые адреса для dll входящих в дистрибутив (zed)
 - 0002249: [Хотелка] Исправить базовый адрес библиотеки libge.dll (zed)
 - 0002251: [Хотелка] Исправить базовый адрес библиотеки FreeImage.dll (zed)
- 0002427: [Хотелка] Вынести в ini настройку притягивания новых точек к существующим (vdemidov)
- 0001491: [Хотелка] Опционально отключать отображение типа метки в списке (vdemidov)
- 0000899: [Хотелка] Добавлять текущую дату-время в метку (vdemidov)
- 0002032: [Рефакторинг] Необходимо выпилить ParamStr(0) из-под ExtractFilePath (vdemidov)
- 0002517: [Баг] BerkeleyDB в режиме только для чтения, в файл лога всё равно что-то записывается (zed)
- 0002163: [Рефакторинг] Вынести TColor32 в отдельный юнит (vdemidov)
- 0002479: [Баг] World file (*.w) not following proper format, exponents need changed to whole decimal number (zed)
- 0002516: [Хотелка] Актуализировать данные таймзон в TimeZone.dll (zed)
- 0002431: [Хотелка] Причесать настройки GPS (vdemidov)
- 0002513: [Баг] Забывает обновить тайлы при переключении карты (vdemidov)
- 0002515: [Рефакторинг] Переименовать юниты и удалить устаревшие (vdemidov)
- 0002501: [Рефакторинг] Вынести инициализацию меток в фоновый поток (zed)
- 0001926: [Хотелка] В операции с выделенной областью добавить удаление меток (Garl)
- 0002511: [Хотелка] Нумерация в заголовке, при запуске нескольких копий программы, как это делает TotalCommander (zed)
- 0001252: [Хотелка] Добавить в окно закачки кнопку "операции с выделенной областью" (Garl)
- 0002500: [Баг] При отображении хинтов метки, не учитывается < b r / > (vdemidov)
- 0002509: [Баг] Ошибка при импорте или экспорте в формат sml (vdemidov)
- 0002441: [Хотелка] Просмотр GetUrlScript.txt и params.txt из GUI (Garl)
- 0002486: [Баг] В Управлении кэшем невозможно экспортировать тайлы из версионного Беркли в любой неверсионный кэш (zed)
- 0002482: [Баг] Юникодовские русские символы в .map файле. (vdemidov)
- 0002477: [Баг] не удается сохранить загрузку *.sls (vdemidov)
- 0002472: [Баг] Часть тайлов в режиме кеш+интернет проскакивают мимо прокси (zed)
- 0001833: [Хотелка] Сделать Drag&Drop для подкатегорий (zed)
- 0002470: [Баг] Сохраняется выделение меток, перетаскиваемых в иную категорию (zed)
- 0002467: [Баг] Ошибка при сохранении сесии загрузки тайлов (vdemidov)
- 0000700: [Баг] Имя файла иконки урезается до 20 символов (zed)
- 0002459: [Баг] Не работает определение высот ASTER и SRTM3 при определенных условиях (zed)
- 0002407: [Баг] Экспорт в формат kml/kmz меток состоящих из более чем 10000 отдельных линий выполняется медленно (zed)
- 0002457: [Хотелка] Обновление карты под группой полигонов (vdemidov)
- 0001955: [Хотелка] При импорте jpeg сохранять относительные пути (zed)
- 0002456: [Хотелка] Экспорт меток в SML формат (zed)
- 0000272: [Баг] Проверка свободного места на диске при сохранении меток (zed)
- 0000304: [Хотелка] Импорт меток из файлов marks.sml и categorymarks.sml (zed)
- 0002452: [Хотелка] При переименовании родительской категории перемещать вложенные (zed)
- 0000758: [Хотелка] Добавить в датчики "время восхода солнца в данном месте" и "время заката солнца в данном месте" (zed)
- 0002419: [Баг] Не работает поиск кадастрового квартала в поиске по росреестру (zed)
- 0001412: [Хотелка] Поиск метки в "Перейти к... Метке" по произвольному частичному совпадению (Garl)
- 0001867: [Хотелка] Добавить поиск метки в панель Поиск (Garl)
- 0002448: [Баг] Ошибка сохранения нового полигона (vdemidov)
- 0002447: [Баг] Ошибка при записи нового пути (vdemidov)
- 0002443: [Баг] Ошибка при запуске на компьютере с очень большим разрешением рабочего стола (vdemidov)
- 0002445: [Баг] Падение при отображении контекстного меню (vdemidov)
- 0002004: [Хотелка] Отключать все слои одним пунктом меню (Garl)
- 0002422: [Баг] В режиме Интернет "моргают" тайлы при сохранении в кэш Беркли (zed)
[68 инцидентов]

SAS.Планета - 140505 (Выпущена 05-05-14)
=======================================
- 0002416: [Баг] Невозможность скачивать участки с публичной кадастровой карты (zed)
- 0001513: [Баг] При работе с двумя экранами SAS.Планета не изменяет маштаб экрана по бОльшему монитору. (zed)
- 0001627: [Баг] Добавить режим получения типа тайла по содержимому игнорируя информацию от сервера (zed)
- 0002415: [Баг] Ошибка при сохранении файла сессии .sls (zed)
- 0002417: [Баг] При создании файла привязки для Mapinfo (.tab) не учитывается проекция растра (zed)
[5 инцидентов]

SAS.Планета - 140404 (Выпущена 04-04-14)
========================================
- 0002362: [Баг] EAssertionFailed в TTileMatrixFactory.PrepareCopyRects (vdemidov)
- 0002398: [Баг] Не работает "СКРЫТЬ" в контекстном меню метки (vdemidov)
- 0001304: [Хотелка] Учитывать настройки цвета при экспорте в JNX (Garl)
- 0002395: [Баг] Не учитывается опция "заменять при совпадении" (vdemidov)
- 0002388: [Баг] Неправильный путь к тайлу в статусной строке (vdemidov)
- 0002386: [Баг] Offline-поиск по mp файлам в кодировке Unicode (Garl)
- 0002344: [Рефакторинг] Изменить почту/URL в сборках САСа (и в картах, если там найдется ) (Garl)
- 0002370: [Хотелка] Сохранение в ini промежутка времени, для которого строится карта заполнения (vdemidov)
- 0002375: [Хотелка] Открытие первой категории в окне "Управление метками" (vdemidov)
- 0002379: [Хотелка] Предыдущее выделение - открывать на экране (zed)
- 0002381: [Баг] Не двигается прогресс-бар при склейке в png (zed)
- 0002369: [Баг] Не работает конвертер кэша (zed)
- 0002359: [Баг] BaseCamp всегда активирует карту JNX так, как будто бы она была сделана для нулевого ProductID (AlexWhiter)
- 0002358: [Баг] BaseCamp игнорирует карты JNX, если в двух или более уровнях записаны тайлы одного и того же масштаба из SAS (AlexWhiter)
- 0002354: [Баг] Невозможно убрать в трей версию 140301.7919 (vdemidov)
- 0002357: [Баг] Программа не открывает файлы (vdemidov)
- 0002302: [Баг] Кэш Беркли не работает с русскими путями (zed)
- 0002248: [Хотелка] Исправить базовый адрес библиотеки TimeZone.dll (zed)
- 0002356: [Баг] Local date/time value is invalid (does not exist in the time zone) (zed)
- 0002343: [Рефакторинг] Перенести юниты i_ConfigDataProvider*, u_ConfigDataProvider* и тд в отдельную папку (vdemidov)
[20 инцидентов]

SAS.Планета - 140303 (Выпущена 03-03-14)
========================================
- 0002342: [Рефакторинг] Удалить устаревший юнит i_IdCacheSimple (vdemidov)
- 0002289: [Рефакторинг] Вынести в отдельный интерфейс конвертер битмапок 32 bit -> 8 bit (zed)
- 0002014: [Рефакторинг] Перейти на ITileStorageType вместо прямого создания объектов классов (vdemidov)
 - 0002266: [Рефакторинг] Заменить все экспорты тайлохранилища на универсальный, получающий пары тайлохранилищ (vdemidov)
- 0002340: [Баг] Глюки с отображением обновлений тайлов в не родной проекции (vdemidov)
- 0002341: [Баг] Утечка памяти в MapType (vdemidov)
- 0002338: [Баг] Не работает опция "Отображать предыдущие версии" в кэше Беркли (vdemidov)
- 0002332: [Рефакторинг] Добавить в фабрики IMapVersionInfo кэширование на базе хэш таблицы (vdemidov)
 - 0002111: [Рефакторинг] Добавить хэш в IMapVersionInfo (vdemidov)
  - 0002112: [Рефакторинг] Разделить IMapVersionInfo и запрос тайла определенной версии (vdemidov)
   - 0001965: [Хотелка] Фиксировать версию карты для всех оперций с выделенной областью (vdemidov)
    - 0002258: [Рефакторинг] Уменьшить зависимость процессов экспорта от TMapType (vdemidov)
     - 0002266: [Рефакторинг] Заменить все экспорты тайлохранилища на универсальный, получающий пары тайлохранилищ (vdemidov)
     - 0002285: [Рефакторинг] Убрать из TThreadExportToRMapsSQLite зависимость от TMapType (vdemidov)
     - 0002267: [Рефакторинг] В TThreadExportToJnx вместо кучи массивов передвать список заданий (vdemidov)
     - 0002260: [Рефакторинг] Убрать из TThreadExportToAUX зависимость от TMapType (vdemidov)
     - 0002263: [Рефакторинг] В TThreadExportIPhone вместо трех TMapType передавать массив TExportTaskIPhone (vdemidov)
     - 0002265: [Рефакторинг] В TThreadExportYaMobileV4 вместо трех TMapType передавать массив TExportTaskYaMobileV4 (vdemidov)
     - 0002264: [Рефакторинг] В TThreadExportYaMobileV3 вместо трех TMapType передавать массив TExportTaskYaMobileV3 (vdemidov)
     - 0002261: [Рефакторинг] Убрать из TThreadExportToCE зависимость от TMapType (vdemidov)
     - 0002257: [Рефакторинг] Убрать из TThreadDeleteTiles зависимость от TMapType (vdemidov)
     - 0002259: [Рефакторинг] Убрать из TThreadExportKML зависимость от TMapType (vdemidov)
     - 0002262: [Рефакторинг] Убрать из TThreadExportToArchive зависимость от TMapType (vdemidov)
- 0002128: [Рефакторинг] Заменить использование объекта TMapType на использоваие интерфейса IMapType (vdemidov)
 - 0002112: [Рефакторинг] Разделить IMapVersionInfo и запрос тайла определенной версии (vdemidov)
 - 0002258: [Рефакторинг] Уменьшить зависимость процессов экспорта от TMapType (vdemidov)
- 0002250: [Хотелка] Исправить базовый адрес библиотеки zlib1.dll (zed)
- 0001832: [Баг] HTTP: Error 406 Not acceptable (zed)
- 0002307: [Баг] В процессе закачки видимой области "моргают" тайлы (zed)
 - 0002301: [Баг] Залипания во время просмотра карты (zed)
- 0002112: [Рефакторинг] Разделить IMapVersionInfo и запрос тайла определенной версии (vdemidov)
- 0002106: [Баг] В процессе закачки видимой области выскакивают ошибки (zed)
- 0001932: [Хотелка] Экспорт категории с подкатегориями (vdemidov)
 - 0002120: [Рефакторинг] Переделать экспорт меток (vdemidov)
- 0002308: [Баг] Access violation at address 006C2A6E in module 'SASPlanet.Debug.exe'. Read of address 00000000 (zed)
- 0002329: [Баг] Имя файла на кириллице в кодировке UTF-8 (файл корреляции .tab) (zed)
- 0002324: [Баг] Ошибка при загрузке базы меток (vdemidov)
- 0002321: [Баг] Не работает "Высота над уровнем моря" (zed)
- 0002252: [Хотелка] Обновить репозиторий Alcinoe (vdemidov)
- 0002319: [Баг] Не работает поиск объектов WikiMapia (zed)
- 0002312: [Баг] Очередь загрузки тайлов видимой области обнуляется через 30 секунд, даже если тайлы ещё не загрузились (zed)
- 0002224: [Рефакторинг] Убрать создание отдельного INotifier для каждого запроса на закачку тайла (zed)
- 0002306: [Хотелка] Интерфейс, раскрывающийся список во вкладке "Экспорт" в окне "Операции с выделенной областью" (zed)
- 0002293: [Баг] Не работает поиск через Yandex (zed)
- 0002280: [Баг] AV при запуске склейки без выбранной карты и слоя (vdemidov)
- 0002291: [Баг] Переделать метод ShowMessage у встроенного браузера (vdemidov)
- 0002213: [Хотелка] При экспорте в RMaps (SQLite) нельзя изменить проекцию карты (zed)
- 0002284: [Баг] Некорректный файл .tab (zed)
- 0002283: [Баг] Отображение азимута с отрицательными значениями (zed)
- 0001823: [Хотелка] Наложение слоёв при экспорте в RMaps (SQLite) (zed)
- 0000487: [Хотелка] Выбор проекции карты при её отображении (zed)
- 0002276: [Хотелка] Добавить альтернативный алгоритм расчёта расстояний (zed)
- 0002275: [Баг] Ошибка в рассчёте расстояний и площадей (vdemidov)
- 0002273: [Баг] Ошибка при просмотре краев карты (vdemidov)
- 0002079: [Хотелка] Не сохранять LastPoints.dat если нет GPS дланных (vdemidov)
- 0002067: [Баг] Тайловая сетка при большой разнице зумов (vdemidov)
- 0002269: [Баг] Невозможно увеличить ширину шкалы масштаба (vdemidov)
- 0002271: [Баг] Мышиный курсор на весь экран оставляет кучу артефактов (vdemidov)
- 0002256: [Рефакторинг] Зависание при ошибке в конструкторе потоков обработки операций с выделенной областью (vdemidov)
- 0002270: [Баг] Неправильный выбор масштаба при копировании выделенной области (Garl)
- 0002102: [Рефакторинг] Обновить pascalscript (vdemidov)
[67 инцидентов]

SAS.Планета - 131111 (Выпущена 11-11-13)
========================================
- 0001874: [Хотелка] Berkeley cache: READ-ONLY (zed)
- 0002233: [Баг] Не ищет русские названия в Offline поиске UserData (Garl)
- 0001409: [Хотелка] Хотелось бы экспорта в программу RMAPS для Android (vasketsov)
- 0002019: [Баг] Зависание при запуске генерации вышележащих слоёв без выбранных зумов (vdemidov)
- 0002045: [Баг] EBerkeleyDBExeption: Error #-30994: DB_LOCK_DEADLOCK: Locker killed to resolve a deadlock. (zed)
- 0002117: [Баг] AV при вызове 'libdb51.dll' (zed)
- 0002108: [Баг] BerkeleyDB: зависание при обращении к тайлохранилищу (zed)
- 0001871: [Хотелка] Добавить возможность прямого чтения кэша GoogleEarth 7.xx (включая исторические снимки) (zed)
- 0001738: [Баг] Нет нормальной обработки начала нажатия курсорных клавиш (vdemidov)
- 0001921: [Хотелка] В окне "Операции с выделенной областью" поменять иконку и хинт кнопки "Add Placemark" (vdemidov)
- 0001813: [Баг] Перемещение карты клавишами: пользоваться невозможно (vdemidov)
- 0001781: [Баг] Искажения на мини-карте (vdemidov)
- 0002033: [Баг] При импорте теряются имя и описание метки (vdemidov)
- 0002072: [Рефакторинг] Отделить построение ITileMatrix от визуальных слоев (vdemidov)
 - 0002217: [Рефакторинг] В TTiledLayerWithThreadBase заменить работу с созданием IBitmapLayerProvider на IBitmapLayerProviderChangeble (vdemidov)
  - 0002216: [Рефакторинг] Убрать из всех IBitmapLayerProvider поддержку IObjectWithListener (vdemidov)
  - 0002215: [Рефакторинг] Убрать в конструкторе TBitmapLayerProviderByTrackPath привязку к конкретной IProjectionInfo (vdemidov)
- 0002155: [Рефакторинг] Перенести создание ITileMatrix в фоновые потоки (vdemidov)
- 0002044: [Баг] Неожиданно прекращается загрузка в режиме Интернет+Кэш (vdemidov)
 - 0002068: [Рефакторинг] Избавиться от пересоздания IBitmapProvider в слоях (vdemidov)
  - 0002070: [Рефакторинг] Убрать пересоздание IBitmapProvider в слое отображения меток (vdemidov)
  - 0002069: [Рефакторинг] Убрать пересоздание IBitmapProvider в слое векторных объектов (vdemidov)
  - 0002071: [Рефакторинг] Убрать пересоздание IBitmapProvider в слое карты заполнеия (vdemidov)
- 0001976: [Баг] Дублирование векторных объектов Wikimapia (vdemidov)
 - 0002075: [Рефакторинг] Добавить в векторные объекты хэш данных входящих в них и операцию проверки равенства (vdemidov)
  - 0002074: [Рефакторинг] Добавить в пути и полигоны хэш набора линий входящих в них и операцию проверки равенства (vdemidov)
   - 0002073: [Рефакторинг] Добавить в линии путей и полигонов хэш набора точек и операцию проверки равенства (vdemidov)
- 0002238: [Баг] В результатах офлайнового поиска выдается название не на том языке, который требуется (Garl)
- 0002231: [Баг] Ошибка при экспорте в kml/kmz (vdemidov)
- 0002076: [Рефакторинг] Добавить в наборы векторных объектов хэш входящих в них объектов и операцию проверки равенства (vdemidov)
 - 0002075: [Рефакторинг] Добавить в векторные объекты хэш данных входящих в них и операцию проверки равенства (vdemidov)
 - 0001927: [Рефакторинг] Собрать dll с реализацией CityHash (zed)
- 0002230: [Баг] Не работает экспорт в формат Mobile Yandex.Maps (vdemidov)
- 0002228: [Баг] Ошибка при экспорте в kml/kmz (vdemidov)
- 0002167: [Хотелка] Добавить в DebugInfo сортировку по произвольному столбцу (vdemidov)
- 0002161: [Рефакторинг] Добавить в счетчики производительности отдельно учет времени в главном GUI потоке (vdemidov)
- 0002218: [Хотелка] Добавить в окно "О программе" хэш ревизии (zed)
- 0002133: [Баг] Ошибка при добавлении метки с некорректными координатами (vdemidov)
- 0002219: [Баг] Access Violation при открытии kml/kmz (vdemidov)
- 0002207: [Баг] Падение при импорте .GPX (vdemidov)
- 0002205: [Баг] Баг отрисовки кнопки "Показать/скрыть подписи" (zed)
- 0002206: [Баг] Перемещается окно "Управление метками" при изменении его размера (zed)
- 0002203: [Баг] AV при открытии kml (vdemidov)
- 0001910: [Хотелка] Измените расширения world файла привзяки (zed)
- 0002202: [Баг] При склейке снимка возникает ошибка, склейка снимка не производится (zed)
- 0002198: [Баг] Координаты с плавающей точкой в файле привязки для ОЗИ (zed)
- 0002200: [Хотелка] Открытие сразу нескольких файлов из меню Операции - Открыть (zed)
- 0002192: [Баг] При определённых условиях полигон импортируется (из kml) как путь (vdemidov)
- 0002197: [Баг] не работает чекбокс выделения группы меток (vdemidov)
- 0002181: [Баг] В новых ночных сборках перестал работать GPS (vasketsov)
- 0000503: [Хотелка] Добавить меню карт второго уровня (Garl)
- 0002088: [Хотелка] Добавить в IDatum функцию построения N промежуточных точек отрезка (zed)
- 0002190: [Хотелка] Добавить возможность использовать Location Sensor (vdemidov)
- 0002187: [Баг] GPS: подземные спутники? (vdemidov)
- 0002189: [Хотелка] Автоматическое обновление (по таймеру) тайлов карты в пределах видимой области (экрана) (zed)
- 0002178: [Баг] Не показывает исторические снимки из кэша GE6 (zed)
- 0002180: [Баг] Memory Overrun leak при выборе меню Version (GE7) (zed)
- 0002179: [Баг] В окне склейки пропал выбор масштаба (zed)
- 0001909: [Хотелка] Опционально не записывать EXIF при экспорте в JPEG (zed)
- 0002169: [Баг] Исправить импорт plt под юникодной Delphi (vdemidov)
- 0002165: [Рефакторинг] Заменить примитивное кэширование маркеров меток-точек (vdemidov)
- 0002101: [Рефакторинг] Заменить примитивное кэширование спроецированных векторных примитивов (vdemidov)
 - 0002100: [Рефакторинг] Добавить хэши в IProjectionInfo (vdemidov)
  - 0002099: [Рефакторинг] Добавить хэш в ICoordConverter (vdemidov)
   - 0002098: [Рефакторинг] Добавить хэши в IDatum (vdemidov)
    - 0002105: [Рефакторинг] Убрать создание лишнего объекта TCoordConverterFactorySimple.Create (vdemidov)
   - 0002105: [Рефакторинг] Убрать создание лишнего объекта TCoordConverterFactorySimple.Create (vdemidov)
- 0002158: [Баг] Не работает поиск средствами Google (zed)
- 0002127: [Рефакторинг] Добавить хэш в IMapTypeListStatic (vdemidov)
- 0001923: [Баг] Исправить текст ошибки при отсутствии тайла на сервере (vdemidov)
- 0002162: [Баг] Программа вылетает при попыке "Поставить метку" и выборе мышкой точки метки. (vdemidov)
- 0002152: [Баг] Ошибка при склеивании тайлов (vdemidov)
- 0002153: [Баг] Отвалились Гео-Кодеры поиска (vdemidov)
- 0002151: [Баг] Ошибка при удалении категории, не содержащей метки (vdemidov)
- 0002126: [Рефакторинг] Добавить хэш в IMapTypeSet (vdemidov)
- 0002150: [Баг] Полигоны создаются, но не отображаются. (vdemidov)
- 0001985: [Баг] При закрытии окна обработки кэша окно программы сворачивается (zed)
- 0001033: [Хотелка] OziExplorer файл привязки (*.map) и "Created by SAS.Planet" (zed)
- 0002056: [Баг] Смещение при экспорте в OGF2 (zed)
- 0002144: [Рефакторинг] Добавить хэши в ILocalCoordConverter (vdemidov)
 - 0002100: [Рефакторинг] Добавить хэши в IProjectionInfo (vdemidov)
- 0002119: [Рефакторинг] Переделать интерфейс импортера меток для поддержки оформления и группирования меток (vdemidov)
- 0001711: [Баг] При нажатии курсорных клавиш некоторое время ничего не происходит (vdemidov)
- 0002021: [Баг] Утечка памяти при использовании поиска снимков (Garl)
- 0000230: [Хотелка] Открытие файла трека/точек путем перетаскивания иконки на окно программы (zed)
- 0002096: [Рефакторинг] Выделить оформление меток и других векторных объектов в отдельные сущности (vdemidov)
- 0001671: [Баг] Перестаёт работать Карта заполнения (vdemidov)
- 0001882: [Баг] Access violation в "Управлении кэшем" для источника кэша в виде архива *.tar (zed)
- 0002115: [Баг] Ночная сборка 130825.7449 - проблема с добавлением меток (vdemidov)
- 0002113: [Баг] При импорте большого kml файла версия 130823.7440 выбрасывает ошибку (см. аттач), в версии 130603.7269 такого нет (vdemidov)
- 0002083: [Баг] Добавить cityhash.dll в ночную сборку (zed)
- 0002082: [Баг] Corresponding category in this DB have not been found (Garl)
- 0002013: [Баг] BerkeleyDB: unpinned page returned (zed)
- 0002016: [Баг] Обработка ошибок в BerkeleyDB (zed)
- 0001943: [Хотелка] Добавить перехват ексепшенов Эврикой в дополнительных тредах (zed)
- 0002055: [Баг] Ошибка в ALfcnString для D2007 (F2084 Internal Error: URW5517) (vdemidov)
- 0002052: [Рефакторинг] Ошибка в геокодере (vdemidov)
- 0002051: [Рефакторинг] Ошибка в геокодере (vdemidov)
- 0002020: [Баг] BerkeleyDB: Ошибка "Transaction specified for a non-transactional database" в ReadOnly кэше (zed)
- 0002029: [Хотелка] В окне со счётчиками производительности добавить фильтрацию по Count и Total (vdemidov)
- 0002015: [Баг] Глюк на вкладке Загрузить (Garl)
- 0001887: [Баг] версионный кэш - ступор при выводе версии (zed)
- 0001995: [Баг] Пропадает изображение (zed)
- 0002002: [Баг] Error: EBerkeleyDBExeption: Error #-30994: DB_LOCK_DEADLOCK: Locker killed to resolve a deadlock (zed)
- 0002012: [Баг] Версионный Беркли: AV при сохранении *.tne (zed)
- 0002010: [Рефакторинг] Обработка ошибок в TThreadRegionProcessAbstract и TThreadCacheManagerAbstract (zed)
- 0001825: [Баг] Не работает экспорт в формат RMAPS при CacheType > 4 в файле params.txt (Garl)
- 0001837: [Баг] Out of memory при поиске по большому .txt файлу (zed)
- 0001803: [Хотелка] В окно прогресса добавить кнопку перехода к выделению (Garl)
- 0001796: [Хотелка] фиксированый масштаб 4-го слоя при экспорте в JNX (Garl)
- 0001779: [Баг] Ошибка в именовании сетки генштаба масштабов 1:5000 и 1:2000 (Garl)
- 0001994: [Баг] Отсутствует окно выбора масштаба в меню "Склеить" (Garl)
- 0001939: [Рефакторинг] Сделать универсальный фрейм выбора карты (Garl)
- 0001784: [Хотелка] Сортировка меток в списке по возрастанию номеров (zed)
- 0001978: [Баг] Не работает генерация вышележащих тайлов в версионном кэше беркли (zed)
 - 0001979: [Баг] Перестаёт оботражаться версионный кэш во время импорта (zed)
- 0001970: [Баг] I/O error 998 при экспорте в JNX (AlexWhiter)
- 0000785: [Хотелка] Выбор карты в диалоге операции с выделенной областью (Garl)
- 0001948: [Хотелка] Если на карте точки перекрывают друг друга то по клику выдается описание только одной метки (Robbi)
- 0001956: [Хотелка] Отображать ключевые слова и дату снимка при импорте jpeg (Robbi)
- 0001966: [Хотелка] В "Управлении кэшем" сделать возможным задавать версию для исходного и целевого кэшей (zed)
- 0001938: [Хотелка] Беркли: При переключении на другую карту - снимать локи и делать Detach предыдущей (zed)
- 0001872: [Хотелка] Добавить возможность сохранять тайлы разных версий в кэш Беркли (zed)
- 0001929: [Баг] При смене карты не обновляется экран (vdemidov)
- 0001890: [Хотелка] Сделать копирование кэша отдельной карты без создания вложенной папки (zed)
- 0001908: [Баг] Ошибка при открытии кэша Беркли (zed)
- 0001950: [Баг] Игнорируется значение паузы между скачиванием тайлов (vdemidov)
- 0001907: [Хотелка] Оптимизация масштабов JNX (AlexWhiter)
- 0000907: [Хотелка] Импорт координат из Exif JPG файлов (Garl)
- 0001090: [Баг] Неправильно отображается время для России и Беларуси (zed)
- 0001743: [Баг] Новые версии SAS (за 2012 г.) не работают на Windows 2000 (zed)
- 0001113: [Хотелка] Хранилище на основе СУБД (vasketsov)
- 0001870: [Хотелка] В "Управлении кэшем" сделать возможным в качестве источника указать тайловый кэш в *.tar архиве (zed)
- 0001868: [Баг] Обработка ошибок в качалке (TDownloaderHttp.DoRequest) (zed)
- 0001858: [Баг] Неправильная ссылка на Rosreestr (Garl)
- 0001145: [Баг] Значительное замедление отрисовки тайлов на экране в свежих версиях программы (vdemidov)
 - 0001237: [Рефакторинг] Изменить принцип работы основных слоев (vdemidov)
  - 0001441: [Рефакторинг] Переделать слой векторных объектов (vdemidov)
- 0000193: [Хотелка] Перемещение меток из одной категории в другую (vasketsov)
- 0001851: [Хотелка] Логика появления/сворачивания окна "Управления метками" (vdemidov)
- 0001844: [Баг] Если метки в формате SML нельзя скачать из Росреетра мультиполигоны (vdemidov)
- 0001845: [Хотелка] Экспорт мультиполигонов в KML/KMZ (vasketsov)
- 0001839: [Хотелка] Добавить выбор размера тайлов (128/256 пикс) при экспорте в новый кэш МЯК (3.91) (zed)
- 0001836: [Хотелка] Добавить опцию для копирования тайлов без сжатия при экспорте в JNX (AlexWhiter)
- 0000703: [Хотелка] Добавить отображение точек с мобильных Яндекс-карт (обновляемые, в формате gpx) (vdemidov)
- 0001641: [Хотелка] Считать площадь сложных полигонов хотя-бы приблизительно (zed)
- 0001701: [Баг] Невозможно прервать подготовку вывода информации о метке (zed)
- 0001816: [Баг] Не сохраняются пути к кэшу (vdemidov)
- 0001782: [Баг] Внутри закрашенных полигонов всегда видна сетка границы тайлов (vdemidov)
- 0001773: [Баг] Только левая нижняя часть карты двигается мышкой (vdemidov)
- 0001799: [Рефакторинг] Создать ISystemTimeProvider (vdemidov)
- 0001812: [Баг] Вылет при выходе (vdemidov)
- 0001815: [Баг] AV при нажатии на Cancel в окне параметры импорта (vasketsov)
- 0001808: [Баг] При ошибке доступа к прокси, ошибка в обработке ошибки для случая URL с символами процента (kosmosnimki) (vdemidov)
- 0001783: [Баг] Растолстела сетка с границами тайлов (vdemidov)
- 0001719: [Хотелка] Доработка окна операции с выделенной областью (Garl)
- 0001770: [Рефакторинг] Рефакторинг экспорта TThreadExportIPhone и использования SQLite (vasketsov)
- 0001801: [Рефакторинг] Отделить IBitmapPostProcessing от IBitmapPostProcessingConfig (vdemidov)
- 0000928: [Баг] получать тайлы из сети file:// (vasketsov)
- 0000130: [Хотелка] Сохранение данных по GPS при выходе (vdemidov)
- 0000236: [Хотелка] Центрирование трека при его открытии (Garl)
- 0001786: [Хотелка] Добавить определение глубин морей и океанов из кэша GoolgeEarth и GeoCacher-а (zed)
- 0001775: [Хотелка] Добавить в масштабы генштаба более крупные (Garl)
- 0001772: [Баг] Invalid floating point operation (vdemidov)
- 0000140: [Баг] Иногда при переходе в другие окна не убирается сасовский тултип (vdemidov)
- 0001760: [Хотелка] Ошибка - программа начинает пропускать тайлы при отключенном интернете (vdemidov)
- 0001767: [Баг] Ошибка при склейке: too few scanlines (vdemidov)
- 0001759: [Баг] Утечка памяти, если попытаться выйти из программы при идущей загрузке из интернета (vdemidov)
- 0000917: [Хотелка] Изменение видимости дочерних категорий (vdemidov)
- 0001756: [Рефакторинг] Создать пул объектов (vdemidov)
- 0001754: [Хотелка] Динамическое отображение бланковки карт ГШ (Garl)
- 0001755: [Хотелка] Тип кэша с хранением в памяти (zed)
- 0001745: [Хотелка] Добавить новые функции в PascalScript zmp (zed)
- 0001529: [Баг] Часы в строке статуса не учитывают переход на летнее время (zed)
- 0001742: [Хотелка] Изменить месторасположение файлов локализации (zed)
- 0001741: [Баг] Ошибки в расчётах высоты из кэша GoogleEarth и GeoCacher (zed)
- 0001729: [Баг] Не все найденные снимки за одну дату отображаются (Garl)
- 0001124: [Хотелка] Хранение логинов и паролей для СУБД хранилищ в защищённом виде (vasketsov)
- 0001725: [Баг] При проверке наличия тайла перед закачкой он читается полностью (vasketsov)
- 0001721: [Баг] Крушение при конвертации кэша в БД (zed)
- 0001710: [Хотелка] Автоматическое определение версии скачиваемого тайла (vasketsov)
- 0001717: [Баг] Высоты SRTM отображаются не по всему миру (vasketsov)
- 0000201: [Хотелка] Показ высоты по данным SRTM (vasketsov)
- 0001718: [Хотелка] Мелкие правки в форме поиска снимков (vasketsov)
- 0001714: [Баг] Ошибка в модуле ntdll.dll при нажатии операции...открыть
- 0001715: [Баг] Не работает Импорт меток (Tolik)
- 0001708: [Баг] Потеря точек в полигональном выделении (Tolik)
- 0001707: [Баг] Не отображаются линии ("пути"), направленные строго с севера на юг. (vdemidov)
- 0001704: [Рефакторинг] Спрятать старый код определния тайм-зон в TimeZone.dll (zed)
- 0001658: [Хотелка] Отображение высот из кэшей Google Earth и GeoCacher-а (zed)
- 0001669: [Баг] Попадание в кэш Беркли одновременно и тайла и tne (zed)
- 0001642: [Баг] Скрючило форму Импорт (vdemidov)
- 0001486: [Баг] GPS лог начинает записываться только после переподключения приемника (vdemidov)
- 0001598: [Баг] Неправильно отображаются неквадратные иконки (метки) (vdemidov)
- 0001650: [Баг] Зависает при сохранении настроек после выделения полигона сложной формы (vdemidov)
 - 0001689: [Баг] Долго записывается последнее выделение (vdemidov)
- 0000713: [Хотелка] Настраиваемые кольца расстояния вокруг метки положения (vdemidov)
- 0001683: [Баг] При движении карты в режиме выделения само веделение двигается (vdemidov)
- 0001678: [Баг] Не экспортирует метку с ":" в имени. (vdemidov)
- 0001675: [Баг] Измеение настроек колец только после изменения положения (vdemidov)
- 0001661: [Баг] При импорте kml вместо полигона создается метка, если разделители в списке вершин отличны от пробела (vasketsov)
- 0001668: [Хотелка] В окне "Информация о метке" выдавать полную информацию (vdemidov)
- 0001660: [Баг] Очередные переименования (vdemidov)
- 0001670: [Хотелка] Где возможно использовать существующие иконки по ПКМ (vdemidov)
- 0001652: [Хотелка] Доработать окно "Склеить" (vdemidov)
- 0001665: [Баг] Пропадает путь к тайлу в строке статуса (vdemidov)
- 0001105: [Хотелка] Разделить настройку "Алгоритм изменения размера изображений изображений" (vdemidov)
- 0001663: [Хотелка] Добавить команду в менеджер меток. (vdemidov)
- 0001645: [Баг] при запуске получаю ошибку и вылет (vdemidov)
- 0001437: [Хотелка] Добавить команду "Информация о метке" (vdemidov)
- 0001305: [Баг] Не отрабатываются ошибки файловой системы (Том сильно фрагментирован, ошибка создания папки) (vdemidov)
- 0001649: [Баг] Невозможно выключить слой Wikimapia (vdemidov)
- 0001643: [Баг] Дико тормозит при выборе любого алгоритма, кроме Nearest (vdemidov)
- 0000131: [Баг] Неправильно отображается время для Узбекистана (zed)
- 0001193: [Хотелка] В статусной строке отображать время в формате: "14:45:00 (UTC + 6:00)" (сейчас просто: "14:45:00") (zed)
- 0001288: [Баг] Баг в вызове спирального итератора ("от короеда"?) (vdemidov)
- 0001207: [Баг] Искажения при склейке снимков из кэша GE (vdemidov)
 - 0001211: [Хотелка] Проекция при склейке карты (vdemidov)
- 0001576: [Хотелка] Сделать "аварийную" иконку для меток (vdemidov)
- 0001625: [Хотелка] Увеличить минимальный размер верхнего поля в окне "Доступные снимки" (zed)
- 0001115: [Баг] При использовании BerkeleyDB не работает Open Primary Map Tile Folder (vdemidov)
- 0001637: [Баг] Ночнушка 6566 не запускается (vdemidov)
- 0001621: [Хотелка] Выравнивание полигонального выделения к сеткам (vdemidov)
- 0001631: [Баг] Глюки SLS (vdemidov)
- 0001569: [Баг] Контуры Викимапии чуть смещаются при перетаскивании (vdemidov)
 - 0001441: [Рефакторинг] Переделать слой векторных объектов (vdemidov)
- 0001632: [Баг] При повторном отркытии окна операции с областью отображается неправильный фрейм экспорта (vdemidov)
- 0001568: [Хотелка] Импорт меток из CSV (vasketsov)
- 0001382: [Баг] Не находит кадастровый номер средствами Росреестра (Garl)
- 0001630: [Баг] AV при открытии sls, если download disabled (vdemidov)
- 0001628: [Баг] Ошибка при загрузке sls (vdemidov)
- 0001624: [Баг] Снижается качество изображения при экспорте в JNX (AlexWhiter)
- 0001264: [Баг] Останавливается закачка (vdemidov)
[241 инцидентов]

SAS.Планета - 121010 (Выпущена 10-10-2012)
=======================================
- 0001570: [Баг] При склейке флаги "Брать * из меньших масштабов" не учитываются (vdemidov)
- 0001585: [Хотелка] Облагораживание формы получения доступных снимков (vasketsov)
- 0001264: [Баг] Останавливается закачка (vdemidov)
- 0001534: [Баг] The process cannot access the file because it is being used by another process (vdemidov)
- 0001567: [Баг] Окно "Управление метками" появляется за пределами экрана (vdemidov)
- 0001620: [Баг] Счётчик скачанных тайлов в окне закачки всегда обнулён (vdemidov)
- 0001607: [Баг] Новые глюки в градусной сетке (Garl)
- 0001614: [Хотелка] Трудно догадаться, что при нажатом ctrl выделение идёт по границам тайлов (vdemidov)
- 0001617: [Баг] При измерении расстояния надписи пропадают, если не помещаются в окно программы (vdemidov)
- 0001592: [Баг] Попытка отмены задания закачки при долгих операциях внутри закачки -> зависание САСа (vdemidov)
- 0001602: [Хотелка] Улучшить интерфейс конвертера кэша (zed)
- 0001613: [Хотелка] В менеджере меток добавить кнопку для создания вложенной категории (vdemidov)
- 0000219: [Хотелка] Отображение азимута в инструменте измерений расстояний (zed)
- 0001188: [Хотелка] Алгоритм проецирования точки на эллипсоиде (zed)
- 0001021: [Баг] Измерение растояния (zed)
- 0001188: [Хотелка] Алгоритм проецирования точки на эллипсоиде (zed)
- 0001604: [Баг] Опять некорректное отображение подписей градусной сетки (Garl)
- 0001606: [Баг] В диалоге "Перейти к..." не распознаются строчные буквы s и w (Garl)
- 0001610: [Баг] при импорте 2х меток появляется только одна (zed)
- 0001608: [Баг] 'Algorithm failed to converge' (zed)
- 0001609: [Баг] Если при импорте ввести имя категории с пробелом в конце, создаются 3 одинаковые категории (zed)
- 0001588: [Баг] Пропала сортировка меток по имени в менеджере меток (zed)
- 0001542: [Хотелка] Опечатка - "Error: Данныео отсутствуют" (vdemidov)
- 0001596: [Баг] баг с категориями\подкатегориями в менеджере меток (vdemidov)
- 0001603: [Баг] Часы в статусной строке идут в обратную сторону при курсоре в западном полушарии (vdemidov)
- 0001371: [Хотелка] Всплывающее меню при клике по строке статуса (zed)
- 0001525: [Баг] Не работает конвертер кэша (vdemidov)
- 0001188: [Хотелка] Алгоритм проецирования точки на эллипсоиде (zed)
- 0001561: [Баг] Ошибка в формировании файла привязки (Garl)
- 0001539: [Рефакторинг] Улучшение офлайн поиска по файлам *.mp (Dima2000)
- 0001601: [Баг] Исправить текст ошибки "Tile not exists" (vdemidov)
- 0001599: [Баг] Срезаются иконки меток - 2 (vdemidov)
- 0001574: [Хотелка] Срезаются иконки меток (vdemidov)
- 0001597: [Баг] Баг в списке категорий меток (vdemidov)
- 0001547: [Баг] Ошибка при отображении вертикальной линейки на краях карты и малых зумах (zed)
- 0000011: [Хотелка] Добавить детектирование пустых тайлов во время закачки (vdemidov)
- 0001484: [Хотелка] Импорт из kml в соответствии с типом объекта (полилинии и полигоны) (vasketsov)
- 0001478: [Баг] Глюки при импорте полигонов из kml (vasketsov)
- 0001507: [Хотелка] Удлинить выпадающий список выбора категории (vdemidov)
- 0001535: [Баг] В менеджере меток при отмечании категории весь список сдвигается (vdemidov)
- 0001536: [Баг] Длинное имя категории сдвигает список категорий влево (vdemidov)
- 0001528: [Хотелка] Трек из Google Earth не открывается в SAS (vasketsov)
- 0001540: [Баг] Лишний след от курсора в менеджере меток (vdemidov)
- 0001538: [Хотелка] Сделать переход к метке при нажатии на ней Enter в менеджере меток (vdemidov)
- 0001565: [Баг] Если zmp это архив, то детектор пустых файлов не работает (vdemidov)
- 0001563: [Хотелка] Файлы tne сохраняются без расширения (vdemidov)
- 0001556: [Хотелка] Переключение "Download Enable -> Disable" в свойствах карты вызывает подвисание уже идущих закачек (vdemidov)
- 0001553: [Баг] Исправить названия "Image postprocess" и "Use color settings" (vdemidov)
- 0001552: [Баг] При склейке тайлы за пределами полигона всегда чёрные (vdemidov)
- 0001555: [Баг] Попадание в кэш одновременно и тайла и tne (vdemidov)
- 0001558: [Хотелка] Выпилить за ненадобностью UseStick и UseGenPrevious (vdemidov)
- 0001554: [Хотелка] Модификация записи TNE (vasketsov)
- 0001530: [Баг] Ошибка в определении доступных снимков DG (feya)
- 0001405: [Хотелка] Получение доступных снимков ESRI (с росреестра) (vasketsov)
- 0001497: [Баг] Сохранение настроек программы неоптимально (vdemidov)
- 0001389: [Баг] Окно управления метками. Некорректное выделение ПКМ. (vdemidov)
- 0001516: [Рефакторинг] Переделать експорт карты в GE-kml (vdemidov)
- 0001517: [Рефакторинг] Переделать сохранение файлов привязки (vdemidov)
- 0001527: [Хотелка] Сделать настройку для отключения показа расстояний при редактировании пути (vdemidov)
- 0001526: [Баг] Ошибка при экспорте меток с некорректными символами в описании (vdemidov)
- 0001524: [Баг] Полосатый слой заполнения для карт с отличающейся проекцией (vdemidov)
- 0001523: [Баг] В версии Nightly.120824.6332 не работает карта заполнения слоя (vdemidov)
- 0001094: [Баг] Переключение типа кэша требует перезапуска (vdemidov)
- 0001518: [Баг] Искажение изображения в окне выбора иконок (vdemidov)
- 0001514: [Баг] Падение при включенном слое заполнения (vdemidov)
- 0001511: [Баг] Приложение падает при отдалении до минимального зума и дальнейшем приближении (vdemidov)
- 0001488: [Хотелка] Исправить обозначения единиц площади в параметрах программы (vdemidov)
- 0001494: [Хотелка] Поля выбора цвета сделать шире (vdemidov)
- 0001487: [Баг] Некорректное отображение подписей градусной сетки (Garl)
- 0001485: [Баг] Не сохраняются размеры главного окна (vdemidov)
- 0001501: [Баг] При импорте дырки превращаются в новые полигоны (vasketsov)
- 0001499: [Рефакторинг] Заменить KaZip или переделать под unicode (vdemidov)
- 0001476: [Баг] Не отображается датчик с картой спутников при первом заходе в GPS > Настройки. (vdemidov)
- 0001482: [Баг] Не работает GPS HPun2400 Gobi 1000 (vasketsov)
[81 инцидентов]

SAS.Планета - 120808 (Выпущена 08-08-12)
========================================
- 0000492: [Хотелка] Сделать импорт многокомпонентных KML
- 0001322: [Баг] Не работает экспорт в сжатый формат для SAS4WinCE/SAS4Android (vdemidov)
- 0000780: [Хотелка] Формат кэша <ZOOM>\<Y>\<X>.png (zed)
- 0001283: [Хотелка] Нарезка скачиваемого изображения на тайлы (расширение кропа) (vasketsov)
- 0001498: [Рефакторинг] Подготовить vsagps для юникодных версий Delphi (vasketsov)
- 0001265: [Баг] Импорт меток до завершения импорта убивает импорт (vasketsov)
- 0001426: [Баг] Метки не редактируются, если при этом создается новая категория (vdemidov)
- 0001394: [Баг] Строка заголовка и панель задач в полноэкранном режиме (vdemidov)
- 0001398: [Баг] Не отжимается иконка кнопки "операции с выд. обл." (vdemidov)
- 0001400: [Баг] Пауза перед запуском скачивания (vdemidov)
- 0001439: [Баг] В управлении метками не удаляются несколько меток нажатием Del (vdemidov)
- 0001447: [Баг] Утечка памяти при работе с выделением по метке-пути (vdemidov)
- 0001432: [Баг] Окно результатов поиска в full screen (vdemidov)
- 0001434: [Баг] Не отображается контур последнего выделения (vdemidov)
- 0001468: [Баг] Не работает кэширование тайлов в памяти при установленной в параметрах карты версии (vdemidov)
- 0001078: [Хотелка] Поиск средствами Navitel.su (Garl)
- 0001479: [Баг] Сохранение в maps.ini конкретного типа кэша, если в параметрах zmp указано использовать дефолтный (vdemidov)
- 0001375: [Баг] Не всегда срабатывает поиск места по URL (Garl)
- 0001324: [Баг] Неправильный пакованный кэш после экспорта в формат SAS4WinCE/Sas4Android под Андроидом (Dima2000)
- 0001297: [Хотелка] Поиск доступных снимков для сервиса NMC (vasketsov)
- 0001066: [Хотелка] Реализовать поиск по кадастровому номеру (Garl)
- 0000165: [Хотелка] Отображать градусную сетку (Garl)
- 0001474: [Баг] В окне "парамеры карты" не умещается русский вариант "горячие клавиши" (zed)
- 0001336: [Баг] Неверный дескриптор при выходе с центрируемой по GPS карте (vasketsov)
- 0001469: [Баг] Мусор в логе загрузки региона: "%0:s Downloading..." (vdemidov)
- 0001473: [Баг] Баг в показе координат тайлов (vdemidov)
- 0001475: [Баг] Попытка отменить клавишей ESC ошибочно запущенного выделения нового полигона приводит к ошибке (vdemidov)
- 0001333: [Рефакторинг] Не работает замена User-Agent внутри параметра RequestHead в файле params.txt (zed)
- 0001456: [Баг] AV при отображении карты заполнения для кэша Беркли (zed)
- 0001449: [Баг] Не импортирует больше 5-ти gpx файлов подряд (vasketsov)
- 0001465: [Хотелка] Склеивание в файл, если он уже существует - запрос на перезапись (vdemidov)
- 0001458: [Баг] При отключении категории меток, в Управлении метками, на месте меток остаются артефакты (vdemidov)
- 0001190: [Баг] Неправильно отрабатываются run time errors в паскальскрипте (vdemidov)
- 0001451: [Хотелка] Переходить к метке при двойном клике по ней в "Управлении метками" (vdemidov)
- 0000902: [Хотелка] Импорт из нескольких файлов за раз (vasketsov)
- 0000378: [Баг] При загрузке KML с разрывами трека загружается только первый участок (vasketsov)
- 0001440: [Рефакторинг] Переделать слой меток (vdemidov)
- 0000297: [Баг] Черные прямоугольники в списке карт в настройках программы (vdemidov)
- 0001454: [Хотелка] Расширить окно выбора изображения маркера (vdemidov)
- 0001438: [Баг] После загрузки sls более 100% в прогрессе (vdemidov)
- 0001452: [Хотелка] Изменить заголовок окна "Скачивание 12%" на "12% Скачивание" (vdemidov)
- 0001450: [Хотелка] Поменять местами кнопки "Отменить" и "Начать" ещё в 2-х местах (zed)
- 0001341: [Баг] Невозможно восстановить испорченный кэш Беркли (zed)
- 0001443: [Хотелка] Поменять местами кнопки "Отменить" и "Начать" (zed)
- 0001429: [Хотелка] Обозначить раскрытую категорию в управлении метками (vdemidov)
- 0000288: [Хотелка] Измерение расстояния с помощью "Добавить новый путь" (vdemidov)
- 0000207: [Хотелка] Добавить горячие клавиши в редактор полигонов (vdemidov)
- 0001431: [Хотелка] Выводить названия файлов иконок в окне их выбора (vdemidov)
- 0001430: [Баг] Не разворачивается окошко с иконками меток (vdemidov)
- 0001428: [Баг] ошибка при работе в окне управления метками (vdemidov)
- 0001143: [Баг] Подписи тайловой сетки на 24-м зуме (vdemidov)
- 0001236: [Рефакторинг] Переделать отрисовку сеток (vdemidov)
- 0001425: [Баг] Не отображаются тайлы, при запуске в оконном режиме (vdemidov)
- 0001418: [Хотелка] Удаление tne файлов через операции с выделенной областью (vdemidov)
- 0001422: [Хотелка] Разные форматы задания области в hlg и sls файлах, привести к одному? (vdemidov)
- 0001427: [Хотелка] Доп. возможности в окне управления метками (отличать маркеры от путей) (vdemidov)
- 0001416: [Баг] Теряется фокус при вызове диалогового окна выбора картинки в редактировании меток (vdemidov)
- 0001417: [Баг] Экспорт в Мобильные Яндекс.Карты (версия 3.91 и выше) падает и сам экспорт, и SAS.Планета (zed)
- 0001413: [Баг] FreeBitmap ColorQuantize FAIL! Экспорт в Мобильные Яндекс.Карты (версия 3) (zed)
- 0001349: [Хотелка] Поддержка копирайтов (vdemidov)
- 0000006: [Баг] Окошки процессов закачки залазят под основное окно программы (vdemidov)
- 0001402: [Баг] При нажатии кнопки "Выход" в окне "Скачивание" окно программы сворачивается (vdemidov)
- 0000024: [Баг] Закрытие свёрнутого окошка загрузки (vdemidov)
- 0001411: [Баг] Кобмобокс выбора вида экспорта налезает на надпись, перед этим окном (vdemidov)
- 0001353: [Рефакторинг] Убрать нафиг Vampyre Imaging Library (zed)
- 0000743: [Хотелка] Изменение названий параметров в sls-файлах (vdemidov)
- 0001399: [Баг] Уточнение по всплывающей подсказке (vdemidov)
- 0000220: [Хотелка] Карта заполнения слоя не перерисовывается автоматически (vdemidov)
- 0000650: [Хотелка] Посылка уведомлений от процесса закачки процессу отрисовки карты заполнения (vdemidov)
- 0001388: [Баг] зависает при обращении программы к несуществующей папке на диске (vdemidov)
- 0001387: [Баг] Первоначальное положение шкалы не по центру экрана (vdemidov)
- 0001384: [Баг] В меню "Измерения" метки-точки пункты оставшиеся от предыдущих измерений (vdemidov)
- 0001373: [Баг] Исключение при экспорте в JNX, если указать нестандартный порядок следования слоев (AlexWhiter)
- 0001374: [Баг] Параметры цвета меток из ini не влияют на диалог импорта (vdemidov)
- 0001380: [Баг] Программа не запускается при наличии ошибок в файле меток (vdemidov)
- 0001377: [Баг] Вылетает при конвертировании кэша и наличии tne в кэше-источнике (zed)
- 0001381: [Баг] Зависание при импорте kml (vdemidov)
- 0001156: [Баг] При склейке не накладываются отображаемые метки (vdemidov)
- 0001287: [Баг] Зависает при режиме кэш+интернет (zed)
- 0000379: [Хотелка] Возможность использовать метод POST во встроенной качалке (vdemidov)
- 0001335: [Баг] В /TrackLog/ не пишутся треки (vdemidov)
- 0001360: [Баг] Не работает чекбокс "Все" в категориях меток (vdemidov)
- 0001365: [Баг] При конвертации в Беркли нарастает потребление памяти со скоростью конвертируемого кэша (zed)
- 0001350: [Баг] Зависает кэш Беркли при построении карты заполнения (zed)
- 0001023: [Баг] При одновременном запуске двух копий программы удаляются все метки (vdemidov)
- 0001056: [Хотелка] Создать параметр: Автоотключение всплывающих подсказок к меткам во время редактирования (vdemidov)
- 0000959: [Хотелка] Курсор на весь экран при выделении области (vdemidov)
- 0001345: [Баг] Утечка памяти при оффлайн поиске (vdemidov)
- 0001357: [Баг] Результаты поиска по Google налезают друг на друга (vdemidov)
- 0001358: [Хотелка] Вывод названия при оффлайн поиске (Garl)
- 0000263: [Хотелка] Сохранять размер/положение окна "Управление метками" после перезапуска (vdemidov)
- 0000942: [Хотелка] Поддержка иконок (png/gif) для обозначения ресурса (vdemidov)
- 0001195: [Хотелка] Переключение версии снимков для кэша GE (vasketsov)
- 0000544: [Хотелка] Запоминать параметры последней созданной метки (полигона) (vdemidov)
- 0000124: [Хотелка] Тайлохранилище в виде набора баз BerkeleyDB (zed)
- 0001340: [Баг] Треки в формате plt и gpx не сохраняются, если выключена запись nmea (vasketsov)
- 0001323: [Баг] Неверное формирование томов .JNX (AlexWhiter)
- 0000931: [Баг] Некорректно ставятся метки с западной долготой (Garl)
- 0001014: [Хотелка] Сохранение картинки в формате BMP до 4 гигабайт (zed)
- 0001062: [Баг] Отображение результатов поиска средствами Яндекс (Garl)
- 0001167: [Баг] 60" в градусной сетке (vdemidov)
- 0001296: [Баг] Не импортируются названия и описания меток из GPX файлов (vasketsov)
- 0001334: [Рефакторинг] Варнинг в TGeoCoderByURL.ParseResultToPlacemarksList (Garl)
- 0000905: [Хотелка] Иконка с рукой (feya)
- 0001269: [Хотелка] Установка масштабов JNX (Garl)
- 0001158: [Хотелка] Контекстное меню для результатов поиска (vdemidov)
- 0000138: [Хотелка] Редактирование меток-точек перетаскиванием (vdemidov)
- 0001330: [Хотелка] Медленная работа JNX карт, созданных SAS.Планета (AlexWhiter)
- 0001243: [Хотелка] Модификация предыдущего выделения (vdemidov)
- 0001370: [Баг] AV при открытии окна операций с выделенной областью (vdemidov)
- 0001309: [Баг] AV внутри GR32 (vdemidov)
- 0001196: [Баг] При изменении версии карты (v) не обновляется изображение (vdemidov)
- 0001367: [Баг] При выборе дефолтного пути в earthslicer меняется родной путь sasplanet (vdemidov)
- 0000518: [Хотелка] Необходимо определять в zmp порядок наложения слоёв (vdemidov)
- 0000172: [Баг] Программа блокируется с окном об ошибке при запуске без прав на чтение .sml файлов меток (vdemidov)
- 0001361: [Хотелка] Добавить кнопку центровки изменяемого полигона. (vdemidov)
- 0001366: [Баг] Опечатка "Connct to server error. Error code %d" (vdemidov)
- 0001356: [Хотелка] При оффлайн поиске сортировать результаты по расстоянию (Garl)
- 0001362: [Баг] Access violation при нажатии на параметры или информация без выбора карты (vdemidov)
- 0001215: [Баг] Вылет при генерации вышележащих тайлов и движении карты (vdemidov)
- 0000596: [Хотелка] Возможность выполнять HTTP запросы из паскаль-скриптов (vdemidov)
- 0000089: [Хотелка] Возможность отключить отработку колеса мыши (vdemidov)
- 0000937: [Хотелка] Независимое окно "Менеджер меток" (vdemidov)
- 0000940: [Хотелка] Автоматически закрывать "окно загрузки" после завершения загрузки (vdemidov)
- 0001343: [Баг] Косметический баг в окне Cache Manager (zed)
- 0001320: [Хотелка] Хочется иметь полностью офлайновый поиск (Garl)
- 0000195: [Хотелка] При наведении курсора на изображение иконки в окошке выбора иконок выводить балун с названием файла этой иконки (vdemidov)
- 0000971: [Хотелка] Улучшить вывод сообщений об ошибках в границах тайлов (vdemidov)
- 0001210: [Хотелка] Сохранять размеры окна браузера (vdemidov)
- 0000731: [Хотелка] Окно подтверждения не содержит информацию о типе удаляемого объекта (vdemidov)
- 0000508: [Хотелка] Сортировка по алфавиту списка категорий при импорте (vdemidov)
- 0000076: [Хотелка] Возможность сохранять измененные пути под новым именем (vdemidov)
- 0000155: [Хотелка] По правой кнопке на метке добавить пункт меню "Не отображать на карте" (vdemidov)
- 0001155: [Хотелка] При импорте новых меток использовать заданные в ini парамеры (vdemidov)
- 0001346: [Баг] Для смены видимости категории меток необходимо двигать карту (vdemidov)
- 0001133: [Баг] Изменение категории метки в менеджере меток (vdemidov)
- 0000705: [Хотелка] В окне "Управление метками" при нажатии на чекбокс "Все" в области меток, список возвращается наверх в начало (vdemidov)
- 0000551: [Хотелка] Возможность запускать закачку в паузе (vdemidov)
- 0000382: [Хотелка] Выбор вариантов измерения измерения площади - м2, га, км2 (vdemidov)
- 0001251: [Хотелка] Сделать импорт файла sls как метки (vdemidov)
- 0000275: [Хотелка] Редактирование категорий и меток по правой кнопке мыши (vdemidov)
- 0001150: [Хотелка] Добавить в параметры карты запрет загрузки (vdemidov)
- 0000335: [Хотелка] В меню по правой кнопке мыши на пути или полигоне - добавить пункт "Уместить на экране" (vdemidov)
- 0000095: [Хотелка] В окне управления метками добавить кнопку создать новую (vdemidov)
- 0001342: [Хотелка] Добавить "Свойства" в контекстном меню меток (vdemidov)
- 0001185: [Хотелка] Добавить в меню View - Navigation Arrow (vdemidov)
- 0001172: [Хотелка] Добавить поддержку разных EPSG (vdemidov)
- 0001226: [Рефакторинг] Использование примитивов синхронизации (разработчикам) (vasketsov)
- 0001250: [Баг] Нарушение синхронизации галок закрепления панелей инструментов (vdemidov)
- 0001275: [Баг] Пустой пункт в меню "Копировать в буфер обмена" (zed)
- 0001079: [Баг] При ресайзе окна настроек на вкладке GPS вместо спутников чёрный квадрат (vdemidov)
- 0000923: [Хотелка] Вынести окно со спутниками из раздела настройки (vdemidov)
- 0000965: [Баг] Не работает кэш в МЯК последней версии (vdemidov)
- 0001292: [Баг] Полосатый Google Earth (vasketsov)
- 0001316: [Баг] Access Violation при склеивании (vdemidov)
- 0001311: [Хотелка] В окне редактирования выделять весь текст по Ctrl-A (vdemidov)
- 0001302: [Баг] AV из-за нового фрейма для списка карт в настройках (vdemidov)
- 0001282: [Хотелка] Экспорт в упакованный формат SAS4WinCE (Garl)
- 0001286: [Баг] Программа игнорирует прописанный в SASPlanet.ini путь к картам (vasketsov)
- 0001301: [Баг] Ошибка при экспорте в формат SAS4WinCE при нескольких файлах данных и наличии комментария (или названия карты) (Dima2000)
- 0001276: [Баг] При формировании вышележащих слоев гибрида отсутствующие тайлы непрозрачны (vdemidov)
- 0001253: [Хотелка] Ускорение отрисовки карты заполнения для нефайловых типов кэша (vasketsov)
- 0001299: [Хотелка] Сбрасывается выбранная карта после редактирования ее параметров (vdemidov)
- 0001242: [Баг] При закачке не контролируется дата закачки существующих тайлов (vasketsov)
- 0001268: [Рефакторинг] Мелкие оптимизации в больших количествах (646 оптимизаций) (vdemidov)
- 0001273: [Баг] Утечка памяти в билде 5373 от 12.04.2012 (vdemidov)
- 0001247: [Баг] Неправильный зум при копировании в буфер ссылки для Яндекс.Карты (vdemidov)
- 0001202: [Хотелка] В описании меток сделать относительный путь к вставляемым картинкам. (vdemidov)
- 0001285: [Баг] Небольшой глюк в отображении при экспорте в формат SAS4WinCE (Garl)
- 0001037: [Баг] При отсутствии \maps\YaTraf.dll выдаётся ошибка Format '%0:s' is invalid or incompatible with argument (vdemidov)
- 0001263: [Баг] Не работает копирование в BerkeleyDB (zed)
- 0001235: [Хотелка] Отображать картинки в отдельном окне (не в вебброузере) (vasketsov)
- 0001199: [Хотелка] При экспорте в JNX разделять выходной файл на части (AlexWhiter)
- 0001225: [Баг] Неверные надписи на кнопке остановить/пауза в окне закачек (vdemidov)
- 0001231: [Баг] Перестал отображаться Гибридный слой (vdemidov)
- 0001212: [Баг] Не работает импорт меток (vdemidov)
- 0001245: [Баг] Не работает экспорт в zip и tar (vdemidov)
- 0001233: [Хотелка] Для "Границ изображений" добавить зумы "Активный +1..+5" (vdemidov)
- 0001240: [Баг] Не показывается ICO через sas:// (vdemidov)
- 0000337: [Хотелка] Сброс настроек цвета (vdemidov)
- 0001238: [Баг] Ошибка с отображением карты при отсутствии тайлов (размножение дубликатов) (vdemidov)
- 0001220: [Баг] При длительном безостановочном перемещении карты возникает EOutOfMemory (не утечка) (vdemidov)
- 0001201: [Хотелка] Добавление GeoEXIF в сводимые JPG (zed)
- 0001197: [Баг] Вылет при полигональном выделении (vdemidov)
- 0001222: [Баг] Не учитывается алгоритм при генерации вышележащих тайлов (vdemidov)
- 0000726: [Хотелка] Добавить в панель датчиков часы (vasketsov)
- 0001230: [Баг] Всё мелькает и кружится и несётся кувырком (vdemidov)
- 0001131: [Баг] Категории меток с одинаковыми именами можно создать, но не видно в менеджере меток (vdemidov)
- 0001216: [Баг] Неверное отборажение иконок Карт-сервисов (vdemidov)
- 0001221: [Баг] AV при уменьшении размеров окна программы (vdemidov)
- 0001214: [Хотелка] Автоматически прописывать относительный путь к изображению, прикреплённому к метке (vdemidov)
- 0001165: [Баг] Отъехала качалка (vdemidov)
- 0000174: [Хотелка] Выбор папки "Автоматического сохранения треков" (vasketsov)
- 0001168: [Рефакторинг] Оптимизировать дисковые операции при работе с кэшем (vdemidov)
- 0001162: [Баг] Отъехали метки (vdemidov)
- 0001103: [Баг] Останавливается скачивание тайлов для вывода на экран (vdemidov)
- 0001194: [Баг] Отсутствие панели при редактировании трека (vdemidov)
- 0001132: [Баг] Ошибка удаления метки в окне менеджера меток (vdemidov)
- 0000170: [Хотелка] Мусор в тексте тултипа Panoramio (vasketsov)
- 0000360: [Баг] Окно SAS.Планеты агрессивно всплывает наверх (vasketsov)
- 0001186: [Баг] Стрелка навигации показывает не точно на метку (vdemidov)
- 0001054: [Баг] Аварийное завершение после процесса перемещения кэша (vdemidov)
- 0000647: [Баг] Не выбираются все метки в окне "Управление метками" (vdemidov)
- 0001149: [Баг] Кэш BerkeleyDB не работает, если в параметрах карты указать полный путь (zed)
- 0001157: [Баг] Падение на загрузке GPX-трека (vasketsov)
- 0001144: [Баг] Результаты измерений не видны, если измерять расстояния вдоль меридианов (vdemidov)
- 0001173: [Баг] Плохо видно цифры на линейке (zed)
- 0000883: [Хотелка] Получение даты снимка с сервисов virtualearth.net и nokia map creator (окошко доступных снимков) (vasketsov)
- 0001166: [Баг] Некорректное отображение полупрозрачных png при отсутствии тайла (vdemidov)
- 0001174: [Баг] Странные числа на линейке (vdemidov)
- 0000528: [Хотелка] Индикатор активного скачивания основного потока (zed)
- 0001178: [Баг] Библиотека xerces требует какую-то DLL (выдаётся соообщение), но работает и без неё (vasketsov)
- 0001164: [Баг] Неправильно отображаются градусы на координатной сетке. (vdemidov)
- 0000007: [Хотелка] Отображать подложку названий меток сплошным фоном (vdemidov)
- 0001181: [Баг] Слетает язык (vdemidov)
- 0001179: [Баг] Ошибка при переходе на зум 2 (vdemidov)
- 0000173: [Хотелка] Добавить в SASPlanet.ini указание пути к файлам меток (аналогично существующему пути для кэша) (vasketsov)
- 0001117: [Хотелка] Изменить строку статуса так, чтобы был виден путь к тайлу (vdemidov)
- 0001176: [Баг] При выделении рамка выделения отображается неверно (vdemidov)
- 0001142: [Баг] Текст ошибки на тайле при закачке (vdemidov)
- 0001152: [Баг] Ошибка в слое отображения ошибок, AV при скачивании (vdemidov)
- 0000227: [Баг] В "строке статуса" не отображается информация при установке 114 точек на дюйм (zed)
- 0000714: [Баг] Искажения при отображении слоя Яндекс на спутнике Google и наоборот (vdemidov)
- 0000975: [Баг] AV при формировании верхних слоёв. (vdemidov)
- 0001040: [Баг] По окончании экспорта кэша окно прогресса не закрывается (vdemidov)
- 0000069: [Баг] Некорректное определение попадания тайлов внутрь полигона (vdemidov)
- 0000671: [Баг] Неправильная обработка полигона при закачке (vdemidov)
- 0001137: [Баг] Не работает склейка ни в один из форматов (vdemidov)
- 0000664: [Хотелка] Хотелось бы больше одновременных соединений (vdemidov)
- 0001153: [Баг] Вылет подсчёта средней скорости и одометра (vasketsov)
- 0001138: [Хотелка] Добавить номер ревизии в Help-About (zed)
- 0001147: [Баг] Проблемы с копированием в кэш BerkeleyDB (zed)
- 0001140: [Баг] Не работает копирование в кэш BerkeleyDB (zed)
- 0001032: [Рефакторинг] Переделать итератор тайлов по заданному полигону (vdemidov)
- 0000030: [Баг] При выделении области шириной в 1 тайл обрабатываются только крайние тайлы (vdemidov)
- 0000025: [Баг] Зависание окошка прогресса склейки (vdemidov)
- 0001017: [Баг] Fill toolbar отсутствует в списке тулбаров (DJ VK)
- 0000185: [Хотелка] Разделить по цветам сетку генштаба и границ тайла (Garl)
- 0001088: [Баг] Ошибка при выделении области по треку и ширине (vdemidov)
- 0000986: [Баг] Cообщение об ошибке в программе SAS при удаленном доступе к компьютеру по RDP (vdemidov)
- 0000886: [Баг] Ошибка Access violation при подключении расширенного экрана (например монитора к ноуту) (vdemidov)
- 0001134: [Баг] В западном полушарии не отображаются надписи координатной сетки (Garl)
- 0001135: [Баг] Утечка памяти при работе с базой Беркли (zed)
- 0000901: [Хотелка] Определение места по URL из maps.google/yandex (Garl)
- 0001018: [Хотелка] Переписан способ коммуникации с приёмниками GPS (vasketsov)
- 0001047: [Баг] Вылет программы при завершении склейки в ECW формат (zed)
- 0001028: [Баг] Поиск работает неправильно (Garl)
- 0000180: [Баг] Окно SAS.Планета не разворачивается на весь экран на 2-ом мониторе (Alezy80)
- 0000375: [Хотелка] Экспорт в формат Garmin JNX (zed)
- 0000368: [Хотелка] Сведение в PNG с альфой (zed)
- 0001082: [Баг] Проблемы импорта меток (Tolik)
- 0001012: [Хотелка] Сделать импорт всех поддерживаемых типов в "Параметры меток" (vdemidov)
- 0000649: [Баг] Не работает поиск средствами яндекса (Garl)
- 0000648: [Баг] Ошибка при определении позиции по базовым станциям GSM (feya)
- 0000954: [Баг] Блёклые цвета полигонов (feya)
- 0000862: [Баг] [v - 1]: EMemoryLeak (8381) (zed)
- 0000992: [Хотелка] Сделать многопоточную загрузку тайлов в режиме просмотра карт (vdemidov)
- 0001085: [Баг] Исправляем косяки некоторых GPS-приёмников + учёт более чем 12 спутников (vasketsov)
- 0001130: [Баг] При редактировании kmz зависает программа (vdemidov)
- 0000809: [Баг] После инициализации некоторых GPS приемников первая точка ошибочно выдается в координате 0,0 (vasketsov)
- 0001013: [Баг] При смене зума тайлы загружаются не по всей видимой области (vdemidov)
- 0001046: [Хотелка] Вынести в настройки дефолтное число потоков для карты (MaxConnectToServerCount) (zed)
- 0001064: [Баг] Артефакты при склейке (zed)
- 0001065: [Баг] Склейка в ECW с разрезанием на части не получается (zed)
- 0001080: [Баг] Исправить английский текст (в версии 4691) (zed)
- 0001095: [Баг] При использовании кэша Беркли программа перестаёт отображать карту (zed)
- 0001099: [Хотелка] Сделать меньше шаг координатной сетки (Garl)
- 0001102: [Хотелка] В строке статуса при использовании кэша BerkeleyDB показывать расширение тайла (zed)
- 0001108: [Баг] Переименовать чекбокс на вкладке Generate (zed)
- 0001114: [Баг] BerkeleyDB: Unsupported tile record version! (zed)
- 0001125: [Баг] BerkeleyDB: Fatal error при использовании одного кэша разными zmp или программами (zed)
- 0000403: [Хотелка] Исторические снимки из кэша GE (vdemidov)
- 0000908: [Баг] AV in 110813.Nightly (vdemidov)
- 0000910: [Баг] Разворачивание Sas.Планета на 2й монитор - разворачивается на основном (Alezy80)
- 0000929: [Баг] Не работают горячие клавиши с Ctrl (vdemidov)
- 0000973: [Баг] AV при скачивании и одновременном сёрфе. (vdemidov)
- 0001010: [Рефакторинг] Заменить работу с файлами в стиле Pascal (zed)
- 0001019: [Баг] Невозможно импортировать только path из kml (vdemidov)
- 0001024: [Баг] При Insert+ЛКМ не происходит перерисовки экрана (vdemidov)
- 0001026: [Баг] Неверная кодировка текста в хидере (поле Accept) (zed)
- 0001029: [Баг] Неверно вычисляется количество скачанных файлов и их объём (zed)
- 0001055: [Баг] Не считает загруженные файлы (vdemidov)
- 0001058: [Баг] Зависание программы при попытке отменить загрузку выделенной области (vdemidov)
- 0001059: [Баг] При отсутствии в zmp-папке 18.bmp и 24.bmp программа падает (vdemidov)
- 0001073: [Баг] Не копирует в буфер обмена ссылку на тайл основной карты. (vdemidov)
- 0001075: [Баг] Зависает в редких случаях после импорта XML при обновлении меток (UpdateMarksList) (vdemidov)
- 0001081: [Баг] Проблемы с базой меток (vdemidov)
- 0001083: [Баг] Зависание при изменении настроек и попытке закрыть программу (vdemidov)
- 0001084: [Баг] Проблемы с отображением меток (в версии 4700) (vdemidov)
- 0001086: [Баг] Сообщение об ошибке (AV) при попытке выделить любой регион (vdemidov)
- 0001097: [Баг] Ошибка "Деление на ноль" при использовании магнита (vdemidov)
- 0001101: [Баг] Координата X пиксела не может быть меньше нуля (vdemidov)
- 0001109: [Баг] AV при масштабировании карты (vdemidov)
- 0001121: [Баг] Не работает поиск Яндекс (Garl)
- 0001128: [Баг] Не работает поиск по Викимапии - изменения на сервере (Garl)
- 0001050: [Баг] Отсутствует подключение к интернет при обращении к GeoCacher (zed)
- 0001052: [Баг] Не закачивается Геопортал Роскосмоса в автоматическом режиме (zed)
- 0000040: [Баг] При последовательной склейке в JPG определённого числа изображений возникает ошибка "Out of memory" (zed)
- 0000041: [Хотелка] Хочется иметь возможность склеивать в формат PNG (zed)
- 0000924: [Хотелка] Нет "уровней сигнала" в панели "датчики" до определения положения GPS (vasketsov)
- 0001060: [Баг] Частично перестали закачиваться тайлы (zed)
- 0000377: [Баг] При попытке сведения в BMP не учитываются лимиты файла (zed)
- 0000169: [Баг] Out of memory при склейке большого файла (zed)
- 0000365: [Хотелка] Поддержка https-провайдеров (vdemidov)
- 0000466: [Хотелка] Универсальный ввод координат - 2 (Garl)
- 0000720: [Хотелка] Функция автоопределения com-порта, на котором сидит gps-приёмник (vasketsov)
- 0000516: [Хотелка] Импорт GPX (vasketsov)
- 0000043: [Хотелка] Поиск по wikimapia.org (Garl)
- 0000084: [Хотелка] При поиске выдавать не один вариант, а все (feya)
- 0000912: [Баг] После снятия галочки в управления метками, метки остаются (vdemidov)
- 0000054: [Хотелка] Групповой перенос точек из категории в категорию (feya)
- 0000213: [Хотелка] Хочется удалять метки пачками (feya)
- 0000276: [Хотелка] Групповая смена категории для меток (feya)
- 0000290: [Хотелка] Возможность редактирования нескольких меток одновременно (feya)
- 0001016: [Баг] Срабатывают горячие клавиши в тулбаре FillToolBar (Show Time Interval) (DJ VK)
- 0000592: [Хотелка] Параметры операции "Сформировать" (Garl)
- 0001004: [Баг] Переназначение гор.клавиш не загружается после перезапуска программы (vdemidov)
- 0000250: [Хотелка] Интерфейс, выравнивание пунктов меню "Операции" (vdemidov)
- 0000309: [Хотелка] Интерфейс, выравнивание пунктов меню "Помощь" (vdemidov)
- 0000985: [Баг] Зум по умолчанию для генерации нижележащих (vdemidov)
- 0000994: [Баг] Изменение пути карты без перезапуска программы (vdemidov)
- 0000993: [Баг] Отжатие кнопки выделения области не сбрасывает режим выделения (vdemidov)
- 0000777: [Хотелка] Поиск средствами Nominatim по данным OSM (Garl)
- 0000656: [Хотелка] Сделать возможность минимизировать программу в трей (zed)
- 0000977: [Хотелка] Выделение места под файл перед сохранением (vdemidov)
- 0000980: [Баг] В версии 4244 имена карт и групп всегда по-русски (vdemidov)
- 0000430: [Баг] Ошибка при одновременном экспорте в МЯК (vdemidov)
- 0000978: [Баг] При создании полигона без имени пишется "Путь" (vdemidov)
- 0000699: [Баг] Сообщения об ошибках загрузки (на тайлах) всегда на английском (zed)
- 0000831: [Баг] При отображении обрезаются длинные имена меток (vdemidov)
- 0000964: [Баг] Неверный цвет текста метки (feya)
- 0000957: [Баг] При экспорте в МЯК в4 выкидывает ошибку (feya)
- 0000970: [Баг] “Потерялись” все горячие клавиши (vdemidov)
- 0000706: [Баг] "Новая категория" вместо "New Category" (vdemidov)
- 0000968: [Баг] AV in Nightly.4208 (feya)
- 0000086: [Хотелка] Загрузка тайлов вдоль пути с заданным удалением (по сути, формирование выделения вокруг пути) (feya)
- 0000909: [Баг] При удалении метки оставлять фокус на месте старой метки (feya)
- 0000933: [Хотелка] Изменить стрелку-указатель направления движения (vdemidov)
- 0000955: [Баг] .Nightly.4176 Нет управления из меню панелью "Результаты поиска" (feya)
- 0000643: [Баг] При расчёте площади некоторых полигонов выдает NAN (feya)
- 0000658: [Хотелка] Добавить экспорт в новый формат мобильных яндекс карт (feya)
- 0000941: [Баг] Выскакивает описание полигона при выделении прямоугольной области (vdemidov)
- 0000687: [Баг] В Windows 7 не работает функция получения доступных снимков данного места от DigitalGlobe (feya)
- 0000911: [Баг] В окне результатов поиска смазываются цифры (feya)
- 0000935: [Баг] Неправильная обработка сохраненной сессии (*.sls) (vdemidov)
- 0000916: [Баг] Невозможно ввести текст в диалоге Selection Manager (vdemidov)
- 0000922: [Баг] Нет фиксации в панели датчики (vdemidov)
- 0000919: [Баг] Порядок создания главных и вложенных категорий влияет на их отображение в окне "Управление метками" (vdemidov)
- 0000156: [Баг] Отображать метки всегда верхним слоем по отношению к путям и полигонам (vdemidov)
- 0000918: [Баг] После выбора файла на закладке Склеить активируется закладка Загрузить (vdemidov)
- 0000456: [Баг] "Горячие" клавиши срабатывают в окне браузера (vdemidov)
- 0000913: [Баг] Не импортируются kmz, внутри которых имя файла не doc.kml (vdemidov)
- 0000802: [Баг] Импорт секционных .plt (vdemidov)
- 0000763: [Баг] При импорте меток из kml/kmz сбиваются переносы строк (vdemidov)
- 0000895: [Баг] Не грузится карта OpenStreetMap (feya)
- 0000792: [Хотелка] История строки поиска средствами Google, Yandex (vdemidov)
- 0000488: [Хотелка] Инвертировать цвета в строке статуса (vdemidov)
- 0000562: [Баг] При перемещении по карте не перерисовывается изображение (vdemidov)
- 0000890: [Баг] Выскакивает описание полигона (vdemidov)
- 0000888: [Хотелка] Добавить имитацию инерции при перемещении карты мышкой. (feya)
- 0000799: [Баг] При импорте пути из kml создаётся 2 одинаковых пути, т.е. 2 записи с именем Path (vdemidov)
- 0000889: [Баг] Перепутаны чекбоксы в настройках подключения (vdemidov)
- 0000645: [Баг] Не работает клавиатурная горячая клавиша для подключения/отключения GPS-приёмника (vdemidov)
- 0000689: [Хотелка] Функция исчезновения подписей меток (vdemidov)
- 0000282: [Хотелка] Разные ссылки для скачивания для разных языков (vdemidov)
- 0000881: [Хотелка] Загрузка области выделения из файла польского формата *.mp (vdemidov)
- 0000738: [Баг] Неправильная обработка kmz (zed)
- 0000781: [Хотелка] Хочется иметь возможность убрать поисковый указатель (vdemidov)
- 0000746: [Баг] Теряется путь к кэшу (параметр карты) (vdemidov)
- 0000739: [Баг] Ошибочный текст в диалоге удаления категории меток (zed)
- 0000800: [Баг] После включения и выключения слоя Викимапия хинты не исчезают (vdemidov)
- 0000880: [Баг] В полигоне должно быть хотя бы 3 точки (vdemidov)
- 0000417: [Баг] Значительные задержки при изменении интервала загрузки тайлов (vdemidov)
- 0000827: [Хотелка] Привязывать точки "Пути" к существующим меткам (vdemidov)
- 0000819: [Баг] [v - 1]: EAssertionFailed (308F) (vdemidov)
- 0000669: [Хотелка] Сделать кнопку быстрой установки метки в текущую позицию (vdemidov)
- 0000407: [Хотелка] Создание "легенды" для карты (vdemidov)
- 0000771: [Хотелка] Отображение во встроенном браузере картинок из памяти (vdemidov)
- 0000828: [Баг] SAS.Планета 110704[3765] вылетает при изменениях в меню параметры - настройки програмvы - интернет (vdemidov)
- 0000823: [Баг] При выборе английского языка подменю карт и слоёв отображаются по-русски (vdemidov)
- 0000773: [Хотелка] Зафиксировать F11 для перехода в фулскрин (vdemidov)
- 0000791: [Хотелка] Закрытие окна "Управление метками" по ESC (vdemidov)
- 0000613: [Хотелка] Интерфейс, сделать окна диалогов "Настройки ..." и "Операции ..." однотипно (vdemidov)
- 0000640: [Хотелка] Интерфейс, выровнять элементы во вкладке "Wikimapia" (vdemidov)
- 0000610: [Хотелка] Интерфейс, компоновка вкладки "Внешний вид" ("Настройки программы") (vdemidov)
- 0000676: [Хотелка] Интерфейс, в окне загрузки сгруппировать кнопки по правому краю (vdemidov)
- 0000646: [Баг] В окошке прогресса загрузки чуть съехал прогрессбар (vdemidov)
- 0000678: [Хотелка] Поставить диалогу закачки минимальные размеры, меньше которых он не будет ресайзиться (vdemidov)
- 0000736: [Баг] Уменьшается количество одновременных соединений (vdemidov)
- 0000434: [Баг] No free connections (vdemidov)
- 0000789: [Баг] Исправить формат файлов кэша МЯК3 (zed)
- 0000762: [Хотелка] Показ заполнения слоя относительно текущего масштаба (vdemidov)
- 0000628: [Хотелка] Обновить в changelog.txt историю изменений, взяв её с трекера, и сохранить .txt в UTF-8 (vdemidov)
- 0000631: [Хотелка] Поменять местами поля ввода тайловых координат в окне "Перейти к..." (vdemidov)
- 0000599: [Хотелка] По Alt не переходит в главное меню (vdemidov)
- 0000685: [Хотелка] Изменить ссылку для просмотра в Bing Maps (vdemidov)
- 0000655: [Баг] Самопроизвольный сброс типа кэша в параметрах карты на дефолтный (vdemidov)
- 0000707: [Баг] Если поврежден файл Categorymarks.sml, происходит Access Violation при запуске (vdemidov)
- 0000765: [Хотелка] Возможность задать Enter вместо Ctrl-Enter для переноса строки в описании (vdemidov)
- 0000709: [Баг] Не импортируются KML, закодированные в UTF-16 (zed)
- 0000651: [Баг] Access Violation при попытке "Сохранить в базе" (vdemidov)
- 0000702: [Баг] Не работают PgUp, PgDn при первом старте без .ini файла конфигурации (vdemidov)
- 0000704: [Баг] Программа не запустится, если в момент закрытия в рабочей области были "белые квадраты" с надписью "файл испорчен" (vdemidov)
- 0000715: [Баг] Memory Leak (утечки памяти) при экспорте в МЯК, iPhone и при открытии *.hlg (zed)
- 0000695: [Баг] При запуске программы размеры окна и его местоположение всегда по умолчанию (zed)
- 0000142: [Хотелка] Новый принцип раскраски трека в зависимости от скорости (vdemidov)
- 0000683: [Хотелка] Надо подправить Splash Screen (vdemidov)
- 0000718: [Баг] [v - 2]: EAssertionFailed (EE52) (vdemidov)
- 0000660: [Хотелка] Тормоза при отрисовке карты заполнения (vdemidov)
[409 инцидентов]

SAS.Планета - 110427.Beta (Released 27-04-11) 
=============================================
- 0000146: [Хотелка] Смена базового языка с русского на английский (zed)
 - 0000199: [Баг] Translation not working in other than russian system locale (zed)
 - 0000591: [Хотелка] Автоматическое временное включение английского языка при запуске в системе без русской локали (zed)
- 0000470: [Хотелка] Изменить всплывающую подсказку к иконке "Во весь экран" (Tolik)
- 0000657: [Хотелка] Нерабочий пример в окне ручного ввода параметров для определения позиции по GSM (Tolik)
- 0000680: [Баг] Интерфейс - русскоязычные фразы, которые надо исправить (Tolik)
- 0000635: [Хотелка] Интерфейс, пропущена запятая "Открыть папку содержащую тайл..." (Tolik)
- 0000634: [Хотелка] Интерфейс, ошибка во всплывающей подсказке "Выберите источник..." (Tolik)
[8 issues]

SAS.Планета - 110418 (Released 18-04-11) 
========================================
- 0000267: [Хотелка] Пункт «Закрепить панели» добавить в меню «Вид — Панели» (feya)
- 0000527: [Баг] При расчёте площади некоторых полигонов программа зависает (feya)
- 0000563: [Баг] Не перерисовывается при переключении на Ночной режим (feya)
- 0000559: [Баг] При запуске без ini нельзя включить шкалу (feya)
- 0000578: [Баг] При склеивании с наложением меток, метки теряют цвет (vdemidov)
- 0000581: [Баг] Не работает экспорт "только отображаемых" меток в kml (vdemidov)
- 0000594: [Баг] Бледное отображение иконок - разборки с компонентом тулбара (feya)
- 0000595: [Хотелка] Сделать масштабируемым окно отображения процесса загрузки (feya)
- 0000597: [Баг] Не работает импорт KMZ (vdemidov)
- 0000606: [Хотелка] Интерфейс, ошибка во всплывающей подсказке (vdemidov)
- 0000607: [Хотелка] Интерфейс, "Инверсия цветов" => "Ночной режим (Инверсия цветов)" (vdemidov)
- 0000593: [Баг] Ошибка при запуске при специфичном наборе карт и настроек (vdemidov)
[12 issues]

SAS.Планета - 110414 (Released 14-04-11) 
========================================
- 0000583: [Баг] Не обрабатываются пользовательские cookie (zed)
- 0000584: [Хотелка] Функции для работы с хедерами запроса в паскаль скрипте (zed)
- 0000586: [Хотелка] Экспорт в Tar (zed)
- 0000366: [Хотелка] Возможность определять headers сокетов (zed)
- 0000582: [Баг] В zmp нельзя добавить несколько заголовков для запросов (zed)
- 0000585: [Баг] Заданые в zmp хедеры запроса не передаются в паскаль-скрипт (zed)
[6 issues]

SAS.Планета - 110412 (Released 12-04-11) 
========================================
- 0000540: [Хотелка] При копировании в буфер обмена координат сохранять незначащие нули (vdemidov)
- 0000552: [Баг] Сделать пошире табы в окне загрузки (vdemidov)
- 0000553: [Баг] Опечатка (vdemidov)
- 0000556: [Хотелка] Выделять жирным выбранный пункт меню "Источник" (vdemidov)
- 0000539: [Хотелка] Нужно выводить имя zmp в окне настроек карты (vdemidov)
- 0000537: [Хотелка] Меню Слои: выделять жирным названия подменю (vdemidov)
- 0000573: [Баг] Изменить надписи в окне Внешний вид и в меню Вид (vdemidov)
[7 issues]

SAS.Планета - 110405.Beta1 (Released 05-04-11) 
==============================================
- 0000571: [Хотелка] Отладочные версии (zed)
- 0000525: [Баг] Нельзя создать метку, трек или полигон (vdemidov)
[2 issues]

SAS.Планета - 110405.Beta (Released 05-04-11) 
=============================================
- 0000498: [Баг] Смещение карты заполнения относительно настоящей карты (vdemidov)
- 0000517: [Баг] При склеивании не сохраняет метки (vdemidov)
- 0000524: [Баг] При первом запуске окно программы не помещается в экран (vdemidov)
- 0000513: [Баг] При переключении карты скачка сразу не начинается (vdemidov)
[4 issues]

SAS.Планета - 110401.Alfa (Released 01-04-11) 
=============================================
- 0000457: [Баг] При изменении любого параметра выводится сообщение о необходимости перезагрузки программы (feya)
- 0000507: [Хотелка] При импорте меток без имени давать имя по умолчанию с индексацией (vdemidov)
- 0000500: [Баг] При переходе к тайловым координатам перепутаны x и y (feya)
- 0000483: [Баг] Неправильный подсчёт количества файлов при полигональном выделении (vdemidov)
- 0000489: [Баг] Игнорируется часть параметров ini секции StatusBar (vdemidov)
- 0000509: [Баг] Access violation при копировании/перемещении кэша выделенной области в другую папку (vdemidov)
- 0000405: [Баг] Нечитаемая информация в панели Датчики (vdemidov)
- 0000158: [Баг] PgUp и PgDn не работают если карта не в фокусе (vdemidov)
- 0000210: [Баг] Выбор языка в главном меню не подхватывает языки „на лету“ (vdemidov)
 - 0000238: [Хотелка] В меню "Параметры"-"Язык" не отмечен активный язык (vdemidov)
- 0000476: [Баг] В окне "Перейти к..." на многих полях всплывающая подсказка "Close" (vdemidov)
- 0000477: [Баг] Непонятное сообщение в настройках GPS (vdemidov)
- 0000479: [Баг] Невозможно удалить категорию (NoName) (vdemidov)
- 0000093: [Хотелка] Добавить двойной одометр (vdemidov)
- 0000217: [Баг] Некорректная выдача результата измерения расстояний (feya)
- 0000478: [Хотелка] Надпись в окне настроек GPS "Видимые с 0-м сигналом" (vdemidov)
- 0000239: [Хотелка] Интерфейс, "Вид"-"Панели"-"Панель датчиков" (vdemidov)
- 0000504: [Баг] Неправильный подсчёт площади полигона (примерно в 2 раза) (feya)
- 0000502: [Баг] Access violation при переходе к сохранённой метке (vdemidov)
- 0000491: [Баг] Обрезается строка в диалоге Склеить (vdemidov)
- 0000515: [Баг] При открытом диалоге невозможно переключиться в САС.Планету с помощью Alt-Tab (vdemidov)
- 0000490: [Хотелка] Выделение по размеру экрана: Ctrl-A и кнопка на тулбаре (vdemidov)
[22 issues]

SAS.Планета - 110316.Alfa (Released 16-03-11) 
=============================================
- 0000442: [Хотелка] Навигация до конкретного тайла в "Перейти к..." (feya)
- 0000420: [Баг] При удалении категории, метки из неё сохраняются, но становятся недоступными (vdemidov)
- 0000453: [Баг] В окне редактирования параметров карты ошибка в слове "по умолчанию" (хинты кнопочек <>) (vdemidov)
- 0000455: [Баг] Если закрепить панели инструментов, происходит их возврат к расположению по умолчанию (vdemidov)
- 0000458: [Баг] При импорте в несуществующую категорию программа ругается (vdemidov)
- 0000459: [Баг] Можно ошибочно создавать категории без названий (vdemidov)
- 0000463: [Хотелка] Добавить в меню "Выделить" пункт "Область, видимую на экране" (feya)
- 0000462: [Баг] В координатах широта обозначена буквой Е (feya)
- 0000385: [Хотелка] Интерфейс: "Настройки программы"-"Wikimapia", выравнивание пунктов (vdemidov)
- 0000386: [Хотелка] Интерфейс: "Настройки программы"-"Wikimapia", непонятная сноска (vdemidov)
- 0000473: [Баг] В диалоге "Управление метками" кнопки "Применить" и "Закрыть" работают не так как ожидается (vdemidov)
- 0000467: [Баг] Не видны разделители в меню Карты и Слои (feya)
[12 issues]

SAS.Планета - 110311.Alfa (Released 11-03-11) 
=============================================
- 0000014: [Баг] Как-то неправильно обрабатывается перемещение карты при захвате сразу обеими кнопками мыши в режиме измерения расстояний (feya)
- 0000171: [Хотелка] Возможность изменить "прозрачность по умолчанию" у создаваемой метки, пути, полигона (vdemidov)
- 0000312: [Хотелка] Окно "добавить новую метку" - последовательность фокуса полей (feya)
- 0000321: [Баг] Локализация строк окна „Загрузка...“ (вызываемое из окна „Операции с видимой областью“) (vdemidov)
- 0000345: [Баг] Грузится очень много невидимых тайлов (vdemidov)
- 0000404: [Баг] Del+LClick срабатывает в режиме выделения полигона (vdemidov)
- 0000307: [Хотелка] Возможность скрывать неиспользуемые карты из интерфейса пользователя (feya)
- 0000406: [Хотелка] Нет возможности по ПКМ выводить информацию о слое (feya)
- 0000296: [Баг] Выход из изменения полигона/пути (vdemidov)
- 0000338: [Баг] По умолчанию в качестве порта GPS модуля стоит недопустимое значение COM0 (vdemidov)
- 0000233: [Баг] Разрушение изображения (vdemidov)
- 0000353: [Хотелка] Параметры изображения изменять без перезагрузки (vdemidov)
- 0000389: [Хотелка] интерфейс, "Дополнительные операции" - поставить пробел в "~1км" (feya)
- 0000427: [Баг] Неверные пути для .zmp в меню (feya)
- 0000432: [Хотелка] Добавить на панель инструментов кнопку "отобразить\скрыть метки" (feya)
- 0000436: [Баг] Ошибки при редактировании полигона (vdemidov)
- 0000443: [Баг] Пропадание иконок у ползунка зумов (vdemidov)
- 0000020: [Баг] При перемещении, не отпуская ЛКМ, жмём Insert (feya)
- 0000278: [Баг] При переключении языка программы во время загрузки исчезают надписи в окне загрузки (vdemidov)
- 0000284: [Баг] Не обновляются настройки в окне "Настройки программы" (vdemidov)
- 0000286: [Баг] Не закрывающаяся(!) ошибка при Измерении расстояния (feya)
- 0000310: [Хотелка] Единообразное написание пунктов меню "Помощь" (feya)
- 0000311: [Баг] При переименовании старых категорий пропадает галка видимости (vdemidov)
- 0000319: [Баг] По кнопке "Информация" в окне "Параметры=>Настройки программы=>Карты" выводится пустое окно (feya)
- 0000331: [Хотелка] Не открывать окно описания метки, если это описание пустое (vdemidov)
- 0000449: [Баг] Опечатки в интерфейсе (feya)
 - 0000398: [Хотелка] Интерфейс - "Настройки программы"-"Интернет", порядок слов (feya)
 - 0000399: [Хотелка] Интерфейс - "сохраненную" => "сохранённую" (feya)
 - 0000341: [Хотелка] Интерфейс - "гор.кл." -> "горячие клавиши" (feya)
 - 0000342: [Хотелка] Интерфейс - "Настройки программы" - колЕсико -> колЁсико (feya)
 - 0000347: [Хотелка] Интерфейс - "Редактировать описание карты": "Горячая кл." -> "Горячая клавиша" (feya)
 - 0000348: [Хотелка] Запятая во фразе "Количество тайлов кэшируемое в оперативную память" (feya)
 - 0000349: [Хотелка] Фраза "Кол-во тайлов отображаемых за границей экрана" (feya)
 - 0000315: [Хотелка] Еще строка с вариантом "кеш" (vdemidov)
 - 0000395: [Хотелка] Интерфейс - опечатка в слове "отсутствии" (feya)
 - 0000396: [Хотелка] Интерфейс - "Настройки программы"-"Интернет", стиль (feya)
 - 0000397: [Хотелка] Интерфейс - "Настройки программы"-"Интернет", запятая (feya)
- 0000336: [Баг] Повторное открытие окна сформировать -> в слои масштаба -> галка все (vdemidov)
- 0000421: [Хотелка] Импорт HLG в базу меток (vdemidov)
- 0000447: [Хотелка] На вкладке "Сформировать" доступны не все зумы от текущего (vdemidov)
- 0000340: [Хотелка] интерфейс - карта заполнения - сиреневый шрифт (feya)
- 0000294: [Хотелка] Связать редактор полигонов и полигональное выделение (vdemidov)
- 0000410: [Хотелка] Имя zmp при ошибке в компиляции скрипта (vdemidov)
- 0000431: [Хотелка] Добавить команды по ПКМ для слоёв (feya)
 - 0000044: [Хотелка] Копировать в буфер ссылку на тайл активного(ных) слоя(ёв) (feya)
- 0000074: [Хотелка] Формат представления координат (vdemidov)
- 0000223: [Хотелка] Сделать адекватный текущей версии файл справки, или исключить её полностью (feya)
- 0000163: [Хотелка] Доработка окна "Перейти к" (универсальный ввод координат) (vdemidov)
- 0000323: [Хотелка] "Срезаются" буквы "ф" и "р" (vdemidov)
- 0000343: [Хотелка] Интерфейс - "Настройки программы" - "Управление", описание операции наезжает на иконки (feya)
[51 issues]

SAS.Планета - 110216 (Released 15-02-11) 
========================================
- 0000078: [Хотелка] Экспорт меток из SAS.Planet (feya)
 - 0000037: [Хотелка] Сохранение проложенного маршрута в файл (vdemidov)
- 0000330: [Баг] Ошибка в пересчете координат экспорта в МЯК для карт с проекцией отличной от яндекс карт (feya)
- 0000380: [Баг] Сохранение файлов с перезаписью (feya)
- 0000400: [Баг] "Удалить тайл слоя"- удаляет не тот тайл (feya)
[5 issues]

SAS.Планета - 101206 (Released 06-12-10) 
========================================
- 0000137: [Хотелка] Вложенные категории (vdemidov)
- 0000300: [Баг] Опечатки в слове "отсутствии" (vdemidov)
- 0000281: [Баг] При редактировании некоторых полигонов возникает ошибка (vdemidov)
- 0000293: [Хотелка] Добавить упоминание про обновление карт (vdemidov)
- 0000292: [Баг] Поправки в readme.txt: орфография и опечатки (vdemidov)
[5 issues]

SAS.Планета - 101201 (Released 01-12-10) 
========================================
- 0000266: [Баг] Сообщение об ошибке доступа к файлу (vdemidov)
- 0000268: [Баг] В панели инструментов "кЭш, интернет и кЕш" (vdemidov)
- 0000273: [Хотелка] Писать масштаб карт генштаба как 1:1 000 000 вместо 1:1000000 (vdemidov)
- 0000269: [Баг] В настройках программы по прежнему точки в км. м. (vdemidov)
- 0000274: [Баг] Ошибка при редактировании категории (vdemidov)
- 0000287: [Хотелка] Добавить в меню "Помощь" пункт про багтрекер (vdemidov)
[6 issues]

SAS.Планета - 101125.RC2 (Released 25-11-10) 
============================================
- 0000285: [Баг] Ошибка при отмене(ESC) полигонного выделения (vdemidov)
- 0000214: [Баг] Кривой сплэш (vdemidov)
- 0000259: [Баг] Снова ошибка при изменении пути длиной больше 250км (vdemidov)
- 0000260: [Баг] При создании полигона выводится сообщение "Access violation..." (vdemidov)
- 0000228: [Баг] По-прежнему проявляется ошибка при попытке редактирования полигона (vdemidov)
- 0000262: [Баг] Цвет текста в меню карты заполнения (vdemidov)
- 0000257: [Баг] Незначительные артефакты при отрисовке путей (vdemidov)
[7 issues]

SAS.Планета - 101123.RC1 (Released 23-11-10) 
============================================
- 0000234: [Баг] Кэш Google Earth не читается (vdemidov)
- 0000241: [Хотелка] Бессмысленость наличия po-файла локали в дистрибутиве (vdemidov)
- 0000244: [Хотелка] Устранение повторов в меню панелей (панель -> главная панель) (vdemidov)
- 0000245: [Хотелка] Пробел между числом и обозначением единиц (vdemidov)
- 0000248: [Хотелка] Отображение старых границ полигона при его редактировании другим цветом (vdemidov)
- 0000252: [Хотелка] Возможность изменять цвет полигона при редактировании (vdemidov)
- 0000258: [Баг] GE кеша нет в списках источников экспорта (vdemidov)
- 0000231: [Баг] На склеенной карте метки, попавшие на стык тайлов, обрезаются (vdemidov)
- 0000243: [Баг] Убрать точки из обозначений единиц "м." и "км." (vdemidov)
- 0000246: [Баг] Данные в строке состояния обновляются только при движении указателя (vdemidov)
- 0000251: [Хотелка] Формат параметра "масштаб" (было x10 и 10x - теперь везде z10) (vdemidov)
- 0000253: [Хотелка] Полноэкранный размер окна "управления метками" (vdemidov)
[12 issues]

SAS.Планета - 101115 (Released 15-11-10) 
========================================
- 0000202: [Баг] Ошибка запуска (vdemidov)
- 0000203: [Хотелка] Некорректное чтение kml (feya)
- 0000209: [Хотелка] Добавить украинский файл локализации (vdemidov)
- 0000218: [Баг] При совпадении имён категорий отображается только одна из них (feya)
- 0000183: [Баг] Границы генштаба 500 метров и зум 24 (vdemidov)
- 0000200: [Баг] При удалении тайла он отображается, пока не перезапишется весь оперативный кэш (vdemidov)
- 0000205: [Баг] Не выбрать цвет при импорте kml (vdemidov)
- 0000111: [Баг] Ошибка при изменении пути длиной больше 250км (vdemidov)
- 0000206: [Баг] При использовании вложенных категорий меток ("\") выводится сообщение "Access violation..." (feya)
- 0000224: [Баг] Непонятка с удалением тайлов (feya)
- 0000186: [Баг] Прокладываем маршрут и зумируемся - вылетает ошибка (vdemidov)
- 0000188: [Баг] Ошибка при изменении существующей области (vdemidov)
- 0000204: [Баг] При загрузке программы вылетает ошибка (vdemidov)
- 0000081: [Баг] При перемещении по группам меток курсором не обновляется содержимое меток (vdemidov)
- 0000197: [Баг] При попытке редактирования полигона выводится сообщение "Access violation..." (vdemidov)
- 0000057: [Баг] Несуществующие линии при выделении полигона (vdemidov)
- 0000164: [Баг] При переходе на 14-й уровень карты Росреестра выдаётся сообщение "Load Jpeg Error" (vdemidov)
[17 issues]

SAS.Планета - 101108 (Released 08-11-10) 
========================================
- 0000189: [Баг] Проблемы с функцией "центрировать с масштабом" (vdemidov)
- 0000190: [Баг] Не работает импорт треков (маршрутов) (vdemidov)
[2 issues]

SAS.Планета - 101103 (Released 03-11-10) 
========================================
- 0000184: [Баг] Пустые тайлы Гибрид (Wikimapia) отображаются черным квадратом (vdemidov)
[1 issue]

SAS.Планета - 101102 (Released 02-11-10) 
========================================
- 0000168: [Баг] При переходе на English названия карт остаются русскими (vdemidov)
- 0000178: [Баг] Сильные артефакты при отображении подписей меток (feya)
[2 issues]

SAS.Планета - 101019.Alfa (Released 19-10-10) 
=============================================
- 0000112: [Баг] Карта заполнения отключается лишь при движении карты (vdemidov)
- 0000153: [Баг] Проблема в работе режима "Только Интернет" (vdemidov)
- 0000159: [Баг] Немного неправильно написано слово "назначить" (vdemidov)
- 0000160: [Баг] Не запоминаются горячие клавиши (vdemidov)
- 0000161: [Баг] Ошибка Out of memory, программа вылетает, происходит при редактировании пути (vdemidov)
[5 issues]

SAS.Планета - 101013.Alfa (Released 13-10-10) 
=============================================
- 0000120: [Баг] Неверно выводится количество файлов, подлежащих обработке при загрузке (vdemidov)
- 0000121: [Баг] Не отображается прогресс-бар загрузки (vdemidov)
- 0000151: [Баг] Ошибка при попытке изменить существующую метку (vdemidov)
[3 issues]

SAS.Планета - 101012.Alfa (Released 12-10-10) 
=============================================
- 0000096: [Хотелка] В диалоговое окно подтверждения удаления категории добавить имя категории (vdemidov)
- 0000145: [Хотелка] Переход на локализацию при помощи GNU GetText (vdemidov)
- 0000079: [Хотелка] Добавить в редактировании меток оформление URL (vdemidov)
- 0000064: [Хотелка] Закрывать окно поиска по ESC (vdemidov)
- 0000065: [Хотелка] В диалоге добавления метки сделать хоткей на кнопку "Добавить" (vdemidov)
- 0000066: [Хотелка] В диалоге добавления метки не срабатывает ESC при вводе описания (vdemidov)
- 0000075: [Баг] Некорректно работает линейка при масштабировании (vdemidov)
- 0000117: [Баг] При экспорте в AUX не проверяется существование тайла (vdemidov)
- 0000119: [Баг] Перестал учитываться параметр Sleep (vdemidov)
- 0000147: [Хотелка] Смена языка программы без перезапуска (vdemidov)
- 0000148: [Хотелка] Новый перевод на английский для программы (Parasite)
- 0000067: [Баг] Если в последней добавленной метке было активно поле описание, то при вводе новой метки по умолчанию активно описание (vdemidov)
- 0000109: [Баг] Не работает установка масштаба в окне "Перейти к..." (vdemidov)
- 0000110: [Баг] Неверно отображается масштаб при удалении тайлов через Операции с выделенной областью (vdemidov)
[14 issues]

SAS.Планета - 100920.Alfa (Released 20-09-10) 
=============================================
- 0000122: [Баг] Не загружаются некоторые тайлы Ландшафт Google (vdemidov)
- 0000114: [Баг] Неверная обработка обрабатываемой области тайлов (vdemidov)
- 0000108: [Баг] Неверный расчёт количества загружаемых тайлов (vdemidov)
[3 issues]

SAS.Планета - 100910.Alfa (Released 10-09-10) 
=============================================
- 0000087: [Баг] Ошибка обработки колесика мышки (vdemidov)
- 0000107: [Хотелка] Переделать запись GPS-трека (vdemidov)
- 0000080: [Баг] метки (галка отображать это место на карте) (vdemidov)
- 0000092: [Баг] На карте видны метки неотмеченных категорий (vdemidov)
- 0000097: [Баг] Альфа версия 100830 не сохраняет метки (vdemidov)
- 0000085: [Баг] Несоответствие отображаемого масштаба карт указанному (vdemidov)
- 0000062: [Хотелка] Хотелось бы увидеть возможность генерации AUX-файлов описания мозаики для GeoExpress Server (vdemidov)
- 0000082: [Баг] Ошибочное отображение статистики закачки (переполнение счетчиков?) (vdemidov)
[8 issues]

SAS.Планета - 100830.Alfa (Released 30-08-10) 
=============================================
- 0000083: [Баг] Мини-карта при изменении масштаба первоначально прыгает в неверные координаты (vdemidov)
- 0000009: [Хотелка] Переделать обзорную мини-карту (vdemidov)
- 0000017: [Баг] Некоторые тайлы ландшафта Google грузятся в браузере (vdemidov)
- 0000029: [Баг] Ошибка загрузки тайлов из кэша Google Earth версий 5.1 и новее (feya)
- 0000031: [Баг] Не читает кэш Google Earth версии 5.1.3533.1731 и выше (feya)
- 0000032: [Хотелка] Полная поддержка кэша GoogleEarth (feya)
- 0000034: [Баг] Порча изображения при формировании меньшего масштаба (vdemidov)
- 0000035: [Хотелка] Переделка загрузки изображений в форматах png и gif (vdemidov)
 - 0000013: [Баг] Глюки с отображением GIF некоторых карт (vdemidov)
- 0000039: [Баг] Ошибочное отображение заголовка окна прогресса склейки (vdemidov)
- 0000045: [Хотелка] Переделка экспорта для iPhone (vdemidov)
- 0000098: [Баг] Окно ошибки при повторном нажатии на кнопку удаления категории (vdemidov)
- 0000010: [Хотелка] Вынести генерацию контролов, связанную с картами и гибридами, из UMapType (vdemidov)
- 0000012: [Хотелка] Вынести антибан в отдельный объект (vdemidov)
- 0000047: [Баг] Некорректно отображается время до завершения операции (vdemidov)
- 0000052: [Баг] Проблема с редактированием точек (vdemidov)
- 0000105: [Баг] Мини-карта ничего не показывает при смене масштаба (vdemidov)
- 0000008: [Баг] AV при отсутствии ZMP слоев (vdemidov)
[18 issues]